For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Sessions

Update Session

Beta
PATCH
https://api.vapi.ai/session/:id
PATCH
/session/:id
$curl -X PATCH https://api.vapi.ai/session/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "id": "string",
3 "orgId": "string",
4 "createdAt": "2024-01-15T09:30:00Z",
5 "updatedAt": "2024-01-15T09:30:00Z",
6 "cost": 1.1,
7 "costs": [
8 {
9 "type": "model",
10 "model": {},
11 "promptTokens": 1.1,
12 "completionTokens": 1.1,
13 "cachedPromptTokens": 1.1,
14 "cost": 1.1
15 }
16 ],
17 "name": "string",
18 "status": "active",
19 "expirationSeconds": 86400,
20 "assistantId": "string",
21 "assistant": {
22 "transcriber": {
23 "provider": "assembly-ai",
24 "language": "multi",
25 "confidenceThreshold": 0.4,
26 "formatTurns": true,
27 "endOfTurnConfidenceThreshold": 0.7,
28 "minEndOfTurnSilenceWhenConfident": 160,
29 "wordFinalizationMaxWaitTime": 160,
30 "maxTurnSilence": 400,
31 "vadAssistedEndpointingEnabled": true,
32 "speechModel": "universal-streaming-english",
33 "realtimeUrl": "string",
34 "wordBoost": [
35 "string"
36 ],
37 "keytermsPrompt": [
38 "string"
39 ],
40 "endUtteranceSilenceThreshold": 1.1,
41 "disablePartialTranscripts": true,
42 "fallbackPlan": {
43 "transcribers": [
44 {
45 "provider": "assembly-ai",
46 "language": "multi",
47 "confidenceThreshold": 0.4,
48 "formatTurns": true,
49 "endOfTurnConfidenceThreshold": 0.7,
50 "minEndOfTurnSilenceWhenConfident": 160,
51 "wordFinalizationMaxWaitTime": 160,
52 "maxTurnSilence": 400,
53 "vadAssistedEndpointingEnabled": true,
54 "speechModel": "universal-streaming-english",
55 "realtimeUrl": "string",
56 "wordBoost": [
57 "string"
58 ],
59 "keytermsPrompt": [
60 "string"
61 ],
62 "endUtteranceSilenceThreshold": 1.1,
63 "disablePartialTranscripts": true
64 }
65 ]
66 }
67 },
68 "model": {
69 "messages": [
70 {
71 "content": "string",
72 "role": "assistant"
73 }
74 ],
75 "tools": [
76 {
77 "messages": [
78 {
79 "contents": [
80 {
81 "type": "text",
82 "text": "string",
83 "language": "aa"
84 }
85 ],
86 "type": "request-start",
87 "blocking": false,
88 "content": "string",
89 "conditions": [
90 {
91 "operator": "eq",
92 "param": "string",
93 "value": "string"
94 }
95 ]
96 }
97 ],
98 "type": "apiRequest",
99 "method": "POST",
100 "timeoutSeconds": 20,
101 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
102 "encryptedPaths": [
103 "string"
104 ],
105 "parameters": [
106 {
107 "key": "string",
108 "value": {}
109 }
110 ],
111 "name": "string",
112 "description": "string",
113 "url": "string",
114 "body": {
115 "type": "string",
116 "items": {},
117 "properties": {},
118 "description": "string",
119 "pattern": "string",
120 "format": "date-time",
121 "required": [
122 "string"
123 ],
124 "enum": [
125 "string"
126 ],
127 "title": "string"
128 },
129 "headers": {
130 "type": "string",
131 "items": {},
132 "properties": {},
133 "description": "string",
134 "pattern": "string",
135 "format": "date-time",
136 "required": [
137 "string"
138 ],
139 "enum": [
140 "string"
141 ],
142 "title": "string"
143 },
144 "backoffPlan": {
145 "type": "fixed",
146 "maxRetries": 0,
147 "baseDelaySeconds": 1,
148 "excludedStatusCodes": [
149 400,
150 401,
151 403,
152 404
153 ]
154 },
155 "variableExtractionPlan": {
156 "schema": {
157 "type": "string",
158 "items": {},
159 "properties": {},
160 "description": "string",
161 "pattern": "string",
162 "format": "date-time",
163 "required": [
164 "string"
165 ],
166 "enum": [
167 "string"
168 ],
169 "title": "string"
170 },
171 "aliases": [
172 {
173 "key": "string",
174 "value": "string"
175 }
176 ]
177 },
178 "rejectionPlan": {
179 "conditions": [
180 {
181 "type": "regex",
182 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
183 }
184 ]
185 }
186 }
187 ],
188 "toolIds": [
189 "string"
190 ],
191 "knowledgeBase": {
192 "provider": "custom-knowledge-base",
193 "server": {
194 "timeoutSeconds": 20,
195 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
196 "staticIpAddressesEnabled": false,
197 "encryptedPaths": [
198 "string"
199 ],
200 "url": "string",
201 "headers": {},
202 "backoffPlan": {
203 "type": "fixed",
204 "maxRetries": 0,
205 "baseDelaySeconds": 1,
206 "excludedStatusCodes": [
207 400,
208 401,
209 403,
210 404
211 ]
212 }
213 }
214 },
215 "model": "claude-3-opus-20240229",
216 "provider": "anthropic",
217 "thinking": {
218 "type": "enabled",
219 "budgetTokens": 50500
220 },
221 "temperature": 1.1,
222 "maxTokens": 5030,
223 "emotionRecognitionEnabled": true,
224 "numFastTurns": 1.1
225 },
226 "voice": {
227 "cachingEnabled": true,
228 "provider": "azure",
229 "voiceId": "andrew",
230 "chunkPlan": {
231 "enabled": true,
232 "minCharacters": 30,
233 "punctuationBoundaries": "。",
234 "formatPlan": {
235 "enabled": true,
236 "numberToDigitsCutoff": 2025,
237 "replacements": [
238 {
239 "type": "exact",
240 "replaceAllEnabled": false,
241 "key": "string",
242 "value": "string"
243 }
244 ],
245 "formattersEnabled": "markdown"
246 }
247 },
248 "speed": 1.1,
249 "fallbackPlan": {
250 "voices": [
251 {
252 "cachingEnabled": true,
253 "provider": "azure",
254 "voiceId": "andrew",
255 "speed": 1.1,
256 "chunkPlan": {
257 "enabled": true,
258 "minCharacters": 30,
259 "punctuationBoundaries": "。",
260 "formatPlan": {
261 "enabled": true,
262 "numberToDigitsCutoff": 2025,
263 "replacements": {},
264 "formattersEnabled": {}
265 }
266 },
267 "oneOf": null
268 }
269 ]
270 }
271 },
272 "firstMessage": "Hello! How can I help you today?",
273 "firstMessageInterruptionsEnabled": false,
274 "firstMessageMode": "assistant-speaks-first",
275 "voicemailDetection": "off",
276 "clientMessages": "conversation-update",
277 "serverMessages": "assistant.started",
278 "maxDurationSeconds": 600,
279 "backgroundSound": "off",
280 "modelOutputInMessagesEnabled": false,
281 "transportConfigurations": [
282 {
283 "provider": "twilio",
284 "timeout": 60,
285 "record": false,
286 "recordingChannels": "mono"
287 }
288 ],
289 "observabilityPlan": {
290 "provider": "langfuse",
291 "tags": [
292 "string"
293 ],
294 "promptName": "string",
295 "promptVersion": 1.1,
296 "traceName": "string",
297 "metadata": {}
298 },
299 "credentials": [
300 {
301 "provider": "anthropic",
302 "apiKey": "string",
303 "name": "string"
304 }
305 ],
306 "hooks": [
307 {
308 "on": "call.ending",
309 "do": [
310 {
311 "type": "tool",
312 "tool": {
313 "messages": [
314 {
315 "contents": [
316 {
317 "type": {},
318 "text": {},
319 "language": {}
320 }
321 ],
322 "type": "request-start",
323 "blocking": false,
324 "content": "string",
325 "conditions": [
326 {
327 "operator": "eq",
328 "param": "string",
329 "value": "string"
330 }
331 ]
332 }
333 ],
334 "type": "apiRequest",
335 "method": "POST",
336 "timeoutSeconds": 20,
337 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
338 "encryptedPaths": [
339 "string"
340 ],
341 "parameters": [
342 {
343 "key": "string",
344 "value": {}
345 }
346 ],
347 "name": "string",
348 "description": "string",
349 "url": "string",
350 "body": {
351 "type": "string",
352 "items": {},
353 "properties": {},
354 "description": "string",
355 "pattern": "string",
356 "format": "date-time",
357 "required": [
358 "string"
359 ],
360 "enum": [
361 "string"
362 ],
363 "title": "string"
364 },
365 "headers": {
366 "type": "string",
367 "items": {},
368 "properties": {},
369 "description": "string",
370 "pattern": "string",
371 "format": "date-time",
372 "required": [
373 "string"
374 ],
375 "enum": [
376 "string"
377 ],
378 "title": "string"
379 },
380 "backoffPlan": {
381 "type": "fixed",
382 "maxRetries": 0,
383 "baseDelaySeconds": 1,
384 "excludedStatusCodes": [
385 400,
386 401,
387 403,
388 404
389 ]
390 },
391 "variableExtractionPlan": {
392 "schema": {
393 "type": {},
394 "items": {},
395 "properties": {},
396 "description": {},
397 "pattern": {},
398 "format": {},
399 "required": {},
400 "enum": {},
401 "title": {}
402 },
403 "aliases": [
404 {
405 "key": "string",
406 "value": "string"
407 }
408 ]
409 },
410 "rejectionPlan": {
411 "conditions": [
412 {
413 "type": "regex",
414 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
415 }
416 ]
417 }
418 },
419 "toolId": "string"
420 }
421 ],
422 "filters": [
423 {
424 "type": "oneOf",
425 "key": "string",
426 "oneOf": [
427 "string"
428 ]
429 }
430 ]
431 }
432 ],
433 "name": "string",
434 "voicemailMessage": "string",
435 "endCallMessage": "string",
436 "endCallPhrases": [
437 "string"
438 ],
439 "compliancePlan": {
440 "hipaaEnabled": true,
441 "pciEnabled": {
442 "pciEnabled": false
443 },
444 "securityFilterPlan": {
445 "enabled": false,
446 "filters": [
447 {}
448 ],
449 "mode": "sanitize",
450 "replacementText": "[FILTERED]"
451 },
452 "recordingConsentPlan": {
453 "type": "stay-on-line",
454 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
455 "voice": {
456 "cachingEnabled": true,
457 "provider": "azure",
458 "voiceId": "andrew",
459 "chunkPlan": {
460 "enabled": true,
461 "minCharacters": 30,
462 "punctuationBoundaries": "。",
463 "formatPlan": {
464 "enabled": true,
465 "numberToDigitsCutoff": 2025,
466 "replacements": [
467 {}
468 ],
469 "formattersEnabled": "markdown"
470 }
471 },
472 "speed": 1.1,
473 "fallbackPlan": {
474 "voices": [
475 {
476 "cachingEnabled": true,
477 "provider": "azure",
478 "voiceId": "andrew",
479 "speed": 1.1,
480 "chunkPlan": {},
481 "oneOf": null
482 }
483 ]
484 }
485 },
486 "waitSeconds": 3
487 }
488 },
489 "metadata": {},
490 "backgroundSpeechDenoisingPlan": {
491 "smartDenoisingPlan": {
492 "enabled": true
493 },
494 "fourierDenoisingPlan": {
495 "enabled": false,
496 "mediaDetectionEnabled": true,
497 "staticThreshold": -35,
498 "baselineOffsetDb": -15,
499 "windowSizeMs": 3000,
500 "baselinePercentile": 85
501 }
502 },
503 "analysisPlan": {
504 "summaryPlan": {
505 "messages": [
506 {}
507 ],
508 "enabled": true,
509 "timeoutSeconds": 1.1
510 },
511 "structuredDataPlan": {
512 "messages": [
513 {}
514 ],
515 "enabled": true,
516 "schema": {
517 "type": "string",
518 "items": {},
519 "properties": {},
520 "description": "string",
521 "pattern": "string",
522 "format": "date-time",
523 "required": [
524 "string"
525 ],
526 "enum": [
527 "string"
528 ],
529 "title": "string"
530 },
531 "timeoutSeconds": 1.1
532 },
533 "successEvaluationPlan": {
534 "rubric": "NumericScale",
535 "messages": [
536 {}
537 ],
538 "enabled": true,
539 "timeoutSeconds": 1.1
540 },
541 "minMessagesThreshold": 1.1,
542 "structuredDataMultiPlan": [
543 {
544 "key": "string",
545 "plan": {
546 "messages": [
547 {}
548 ],
549 "enabled": true,
550 "schema": {
551 "type": "string",
552 "items": {},
553 "properties": {},
554 "description": "string",
555 "pattern": "string",
556 "format": "date-time",
557 "required": [
558 "string"
559 ],
560 "enum": [
561 "string"
562 ],
563 "title": "string"
564 },
565 "timeoutSeconds": 1.1
566 }
567 }
568 ],
569 "outcomeIds": [
570 "string"
571 ]
572 },
573 "artifactPlan": {
574 "recordingEnabled": true,
575 "recordingFormat": "wav;l16",
576 "recordingUseCustomStorageEnabled": true,
577 "videoRecordingEnabled": false,
578 "fullMessageHistoryEnabled": false,
579 "pcapEnabled": true,
580 "pcapS3PathPrefix": "/pcaps",
581 "pcapUseCustomStorageEnabled": true,
582 "loggingEnabled": true,
583 "loggingUseCustomStorageEnabled": true,
584 "transcriptPlan": {
585 "enabled": true,
586 "assistantName": "string",
587 "userName": "string"
588 },
589 "recordingPath": "string",
590 "structuredOutputIds": [
591 "string"
592 ],
593 "structuredOutputs": [
594 {
595 "name": "string",
596 "schema": {
597 "type": "string",
598 "items": {},
599 "properties": {},
600 "description": "string",
601 "pattern": "string",
602 "format": "date-time",
603 "required": [
604 "string"
605 ],
606 "enum": [
607 "string"
608 ],
609 "title": "string"
610 },
611 "type": "ai",
612 "regex": "string",
613 "model": {
614 "provider": "openai",
615 "model": "gpt-5.4",
616 "temperature": 1.1,
617 "maxTokens": 5030
618 },
619 "compliancePlan": {
620 "forceStoreOnHipaaEnabled": false
621 },
622 "description": "string",
623 "assistantIds": [
624 "string"
625 ],
626 "workflowIds": [
627 "string"
628 ]
629 }
630 ],
631 "scorecardIds": [
632 "string"
633 ],
634 "scorecards": [
635 {
636 "metrics": [
637 {
638 "structuredOutputId": "string",
639 "conditions": [
640 {}
641 ]
642 }
643 ],
644 "name": "string",
645 "description": "string",
646 "assistantIds": [
647 "string"
648 ]
649 }
650 ],
651 "loggingPath": "string"
652 },
653 "startSpeakingPlan": {
654 "waitSeconds": 0.4,
655 "smartEndpointingPlan": {
656 "provider": "vapi"
657 },
658 "customEndpointingRules": [
659 {
660 "type": "assistant",
661 "regex": "string",
662 "regexOptions": [
663 {
664 "type": "ignore-case",
665 "enabled": true
666 }
667 ],
668 "timeoutSeconds": 1.1
669 }
670 ],
671 "transcriptionEndpointingPlan": {
672 "onPunctuationSeconds": 0.1,
673 "onNoPunctuationSeconds": 1.5,
674 "onNumberSeconds": 0.5
675 },
676 "smartEndpointingEnabled": false
677 },
678 "stopSpeakingPlan": {
679 "numWords": 0,
680 "voiceSeconds": 0.2,
681 "backoffSeconds": 1,
682 "acknowledgementPhrases": [
683 "i understand",
684 "i see",
685 "i got it",
686 "i hear you",
687 "im listening",
688 "im with you",
689 "right",
690 "okay",
691 "ok",
692 "sure",
693 "alright",
694 "got it",
695 "understood",
696 "yeah",
697 "yes",
698 "uh-huh",
699 "mm-hmm",
700 "gotcha",
701 "mhmm",
702 "ah",
703 "yeah okay",
704 "yeah sure"
705 ],
706 "interruptionPhrases": [
707 "stop",
708 "shut",
709 "up",
710 "enough",
711 "quiet",
712 "silence",
713 "but",
714 "dont",
715 "not",
716 "no",
717 "hold",
718 "wait",
719 "cut",
720 "pause",
721 "nope",
722 "nah",
723 "nevermind",
724 "never",
725 "bad",
726 "actually"
727 ]
728 },
729 "monitorPlan": {
730 "listenEnabled": false,
731 "listenAuthenticationEnabled": false,
732 "controlEnabled": false,
733 "controlAuthenticationEnabled": false,
734 "monitorIds": [
735 "123e4567-e89b-12d3-a456-426614174000"
736 ]
737 },
738 "credentialIds": [
739 "string"
740 ],
741 "server": {
742 "timeoutSeconds": 20,
743 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
744 "staticIpAddressesEnabled": false,
745 "encryptedPaths": [
746 "string"
747 ],
748 "url": "string",
749 "headers": {},
750 "backoffPlan": {
751 "type": "fixed",
752 "maxRetries": 0,
753 "baseDelaySeconds": 1,
754 "excludedStatusCodes": [
755 400,
756 401,
757 403,
758 404
759 ]
760 }
761 },
762 "keypadInputPlan": {
763 "enabled": true,
764 "timeoutSeconds": 1.1,
765 "delimiters": "#"
766 }
767 },
768 "assistantOverrides": {
769 "transcriber": {
770 "provider": "assembly-ai",
771 "language": "multi",
772 "confidenceThreshold": 0.4,
773 "formatTurns": true,
774 "endOfTurnConfidenceThreshold": 0.7,
775 "minEndOfTurnSilenceWhenConfident": 160,
776 "wordFinalizationMaxWaitTime": 160,
777 "maxTurnSilence": 400,
778 "vadAssistedEndpointingEnabled": true,
779 "speechModel": "universal-streaming-english",
780 "realtimeUrl": "string",
781 "wordBoost": [
782 "string"
783 ],
784 "keytermsPrompt": [
785 "string"
786 ],
787 "endUtteranceSilenceThreshold": 1.1,
788 "disablePartialTranscripts": true,
789 "fallbackPlan": {
790 "transcribers": [
791 {
792 "provider": "assembly-ai",
793 "language": "multi",
794 "confidenceThreshold": 0.4,
795 "formatTurns": true,
796 "endOfTurnConfidenceThreshold": 0.7,
797 "minEndOfTurnSilenceWhenConfident": 160,
798 "wordFinalizationMaxWaitTime": 160,
799 "maxTurnSilence": 400,
800 "vadAssistedEndpointingEnabled": true,
801 "speechModel": "universal-streaming-english",
802 "realtimeUrl": "string",
803 "wordBoost": [
804 "string"
805 ],
806 "keytermsPrompt": [
807 "string"
808 ],
809 "endUtteranceSilenceThreshold": 1.1,
810 "disablePartialTranscripts": true
811 }
812 ]
813 }
814 },
815 "model": {
816 "messages": [
817 {
818 "content": "string",
819 "role": "assistant"
820 }
821 ],
822 "tools": [
823 {
824 "messages": [
825 {
826 "contents": [
827 {
828 "type": "text",
829 "text": "string",
830 "language": "aa"
831 }
832 ],
833 "type": "request-start",
834 "blocking": false,
835 "content": "string",
836 "conditions": [
837 {
838 "operator": "eq",
839 "param": "string",
840 "value": "string"
841 }
842 ]
843 }
844 ],
845 "type": "apiRequest",
846 "method": "POST",
847 "timeoutSeconds": 20,
848 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
849 "encryptedPaths": [
850 "string"
851 ],
852 "parameters": [
853 {
854 "key": "string",
855 "value": {}
856 }
857 ],
858 "name": "string",
859 "description": "string",
860 "url": "string",
861 "body": {
862 "type": "string",
863 "items": {},
864 "properties": {},
865 "description": "string",
866 "pattern": "string",
867 "format": "date-time",
868 "required": [
869 "string"
870 ],
871 "enum": [
872 "string"
873 ],
874 "title": "string"
875 },
876 "headers": {
877 "type": "string",
878 "items": {},
879 "properties": {},
880 "description": "string",
881 "pattern": "string",
882 "format": "date-time",
883 "required": [
884 "string"
885 ],
886 "enum": [
887 "string"
888 ],
889 "title": "string"
890 },
891 "backoffPlan": {
892 "type": "fixed",
893 "maxRetries": 0,
894 "baseDelaySeconds": 1,
895 "excludedStatusCodes": [
896 400,
897 401,
898 403,
899 404
900 ]
901 },
902 "variableExtractionPlan": {
903 "schema": {
904 "type": "string",
905 "items": {},
906 "properties": {},
907 "description": "string",
908 "pattern": "string",
909 "format": "date-time",
910 "required": [
911 "string"
912 ],
913 "enum": [
914 "string"
915 ],
916 "title": "string"
917 },
918 "aliases": [
919 {
920 "key": "string",
921 "value": "string"
922 }
923 ]
924 },
925 "rejectionPlan": {
926 "conditions": [
927 {
928 "type": "regex",
929 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
930 }
931 ]
932 }
933 }
934 ],
935 "toolIds": [
936 "string"
937 ],
938 "knowledgeBase": {
939 "provider": "custom-knowledge-base",
940 "server": {
941 "timeoutSeconds": 20,
942 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
943 "staticIpAddressesEnabled": false,
944 "encryptedPaths": [
945 "string"
946 ],
947 "url": "string",
948 "headers": {},
949 "backoffPlan": {
950 "type": "fixed",
951 "maxRetries": 0,
952 "baseDelaySeconds": 1,
953 "excludedStatusCodes": [
954 400,
955 401,
956 403,
957 404
958 ]
959 }
960 }
961 },
962 "model": "claude-3-opus-20240229",
963 "provider": "anthropic",
964 "thinking": {
965 "type": "enabled",
966 "budgetTokens": 50500
967 },
968 "temperature": 1.1,
969 "maxTokens": 5030,
970 "emotionRecognitionEnabled": true,
971 "numFastTurns": 1.1
972 },
973 "voice": {
974 "cachingEnabled": true,
975 "provider": "azure",
976 "voiceId": "andrew",
977 "chunkPlan": {
978 "enabled": true,
979 "minCharacters": 30,
980 "punctuationBoundaries": "。",
981 "formatPlan": {
982 "enabled": true,
983 "numberToDigitsCutoff": 2025,
984 "replacements": [
985 {
986 "type": "exact",
987 "replaceAllEnabled": false,
988 "key": "string",
989 "value": "string"
990 }
991 ],
992 "formattersEnabled": "markdown"
993 }
994 },
995 "speed": 1.1,
996 "fallbackPlan": {
997 "voices": [
998 {
999 "cachingEnabled": true,
1000 "provider": "azure",
1001 "voiceId": "andrew",
1002 "speed": 1.1,
1003 "chunkPlan": {
1004 "enabled": true,
1005 "minCharacters": 30,
1006 "punctuationBoundaries": "。",
1007 "formatPlan": {
1008 "enabled": true,
1009 "numberToDigitsCutoff": 2025,
1010 "replacements": {},
1011 "formattersEnabled": {}
1012 }
1013 },
1014 "oneOf": null
1015 }
1016 ]
1017 }
1018 },
1019 "firstMessage": "Hello! How can I help you today?",
1020 "firstMessageInterruptionsEnabled": false,
1021 "firstMessageMode": "assistant-speaks-first",
1022 "voicemailDetection": "off",
1023 "clientMessages": "conversation-update",
1024 "serverMessages": "assistant.started",
1025 "maxDurationSeconds": 600,
1026 "backgroundSound": "off",
1027 "modelOutputInMessagesEnabled": false,
1028 "transportConfigurations": [
1029 {
1030 "provider": "twilio",
1031 "timeout": 60,
1032 "record": false,
1033 "recordingChannels": "mono"
1034 }
1035 ],
1036 "observabilityPlan": {
1037 "provider": "langfuse",
1038 "tags": [
1039 "string"
1040 ],
1041 "promptName": "string",
1042 "promptVersion": 1.1,
1043 "traceName": "string",
1044 "metadata": {}
1045 },
1046 "credentials": [
1047 {
1048 "provider": "anthropic",
1049 "apiKey": "string",
1050 "name": "string"
1051 }
1052 ],
1053 "hooks": [
1054 {
1055 "on": "call.ending",
1056 "do": [
1057 {
1058 "type": "tool",
1059 "tool": {
1060 "messages": [
1061 {
1062 "contents": [
1063 {
1064 "type": {},
1065 "text": {},
1066 "language": {}
1067 }
1068 ],
1069 "type": "request-start",
1070 "blocking": false,
1071 "content": "string",
1072 "conditions": [
1073 {
1074 "operator": "eq",
1075 "param": "string",
1076 "value": "string"
1077 }
1078 ]
1079 }
1080 ],
1081 "type": "apiRequest",
1082 "method": "POST",
1083 "timeoutSeconds": 20,
1084 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1085 "encryptedPaths": [
1086 "string"
1087 ],
1088 "parameters": [
1089 {
1090 "key": "string",
1091 "value": {}
1092 }
1093 ],
1094 "name": "string",
1095 "description": "string",
1096 "url": "string",
1097 "body": {
1098 "type": "string",
1099 "items": {},
1100 "properties": {},
1101 "description": "string",
1102 "pattern": "string",
1103 "format": "date-time",
1104 "required": [
1105 "string"
1106 ],
1107 "enum": [
1108 "string"
1109 ],
1110 "title": "string"
1111 },
1112 "headers": {
1113 "type": "string",
1114 "items": {},
1115 "properties": {},
1116 "description": "string",
1117 "pattern": "string",
1118 "format": "date-time",
1119 "required": [
1120 "string"
1121 ],
1122 "enum": [
1123 "string"
1124 ],
1125 "title": "string"
1126 },
1127 "backoffPlan": {
1128 "type": "fixed",
1129 "maxRetries": 0,
1130 "baseDelaySeconds": 1,
1131 "excludedStatusCodes": [
1132 400,
1133 401,
1134 403,
1135 404
1136 ]
1137 },
1138 "variableExtractionPlan": {
1139 "schema": {
1140 "type": {},
1141 "items": {},
1142 "properties": {},
1143 "description": {},
1144 "pattern": {},
1145 "format": {},
1146 "required": {},
1147 "enum": {},
1148 "title": {}
1149 },
1150 "aliases": [
1151 {
1152 "key": "string",
1153 "value": "string"
1154 }
1155 ]
1156 },
1157 "rejectionPlan": {
1158 "conditions": [
1159 {
1160 "type": "regex",
1161 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1162 }
1163 ]
1164 }
1165 },
1166 "toolId": "string"
1167 }
1168 ],
1169 "filters": [
1170 {
1171 "type": "oneOf",
1172 "key": "string",
1173 "oneOf": [
1174 "string"
1175 ]
1176 }
1177 ]
1178 }
1179 ],
1180 "tools:append": [
1181 {
1182 "messages": [
1183 {
1184 "contents": [
1185 {
1186 "type": "text",
1187 "text": "string",
1188 "language": "aa"
1189 }
1190 ],
1191 "type": "request-start",
1192 "blocking": false,
1193 "content": "string",
1194 "conditions": [
1195 {
1196 "operator": "eq",
1197 "param": "string",
1198 "value": "string"
1199 }
1200 ]
1201 }
1202 ],
1203 "type": "apiRequest",
1204 "method": "POST",
1205 "timeoutSeconds": 20,
1206 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1207 "encryptedPaths": [
1208 "string"
1209 ],
1210 "parameters": [
1211 {
1212 "key": "string",
1213 "value": {}
1214 }
1215 ],
1216 "name": "string",
1217 "description": "string",
1218 "url": "string",
1219 "body": {
1220 "type": "string",
1221 "items": {},
1222 "properties": {},
1223 "description": "string",
1224 "pattern": "string",
1225 "format": "date-time",
1226 "required": [
1227 "string"
1228 ],
1229 "enum": [
1230 "string"
1231 ],
1232 "title": "string"
1233 },
1234 "headers": {
1235 "type": "string",
1236 "items": {},
1237 "properties": {},
1238 "description": "string",
1239 "pattern": "string",
1240 "format": "date-time",
1241 "required": [
1242 "string"
1243 ],
1244 "enum": [
1245 "string"
1246 ],
1247 "title": "string"
1248 },
1249 "backoffPlan": {
1250 "type": "fixed",
1251 "maxRetries": 0,
1252 "baseDelaySeconds": 1,
1253 "excludedStatusCodes": [
1254 400,
1255 401,
1256 403,
1257 404
1258 ]
1259 },
1260 "variableExtractionPlan": {
1261 "schema": {
1262 "type": "string",
1263 "items": {},
1264 "properties": {},
1265 "description": "string",
1266 "pattern": "string",
1267 "format": "date-time",
1268 "required": [
1269 "string"
1270 ],
1271 "enum": [
1272 "string"
1273 ],
1274 "title": "string"
1275 },
1276 "aliases": [
1277 {
1278 "key": "string",
1279 "value": "string"
1280 }
1281 ]
1282 },
1283 "rejectionPlan": {
1284 "conditions": [
1285 {
1286 "type": "regex",
1287 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1288 }
1289 ]
1290 }
1291 }
1292 ],
1293 "variableValues": {},
1294 "name": "string",
1295 "voicemailMessage": "string",
1296 "endCallMessage": "string",
1297 "endCallPhrases": [
1298 "string"
1299 ],
1300 "compliancePlan": {
1301 "hipaaEnabled": true,
1302 "pciEnabled": {
1303 "pciEnabled": false
1304 },
1305 "securityFilterPlan": {
1306 "enabled": false,
1307 "filters": [
1308 {}
1309 ],
1310 "mode": "sanitize",
1311 "replacementText": "[FILTERED]"
1312 },
1313 "recordingConsentPlan": {
1314 "type": "stay-on-line",
1315 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
1316 "voice": {
1317 "cachingEnabled": true,
1318 "provider": "azure",
1319 "voiceId": "andrew",
1320 "chunkPlan": {
1321 "enabled": true,
1322 "minCharacters": 30,
1323 "punctuationBoundaries": "。",
1324 "formatPlan": {
1325 "enabled": true,
1326 "numberToDigitsCutoff": 2025,
1327 "replacements": [
1328 {}
1329 ],
1330 "formattersEnabled": "markdown"
1331 }
1332 },
1333 "speed": 1.1,
1334 "fallbackPlan": {
1335 "voices": [
1336 {
1337 "cachingEnabled": true,
1338 "provider": "azure",
1339 "voiceId": "andrew",
1340 "speed": 1.1,
1341 "chunkPlan": {},
1342 "oneOf": null
1343 }
1344 ]
1345 }
1346 },
1347 "waitSeconds": 3
1348 }
1349 },
1350 "metadata": {},
1351 "backgroundSpeechDenoisingPlan": {
1352 "smartDenoisingPlan": {
1353 "enabled": true
1354 },
1355 "fourierDenoisingPlan": {
1356 "enabled": false,
1357 "mediaDetectionEnabled": true,
1358 "staticThreshold": -35,
1359 "baselineOffsetDb": -15,
1360 "windowSizeMs": 3000,
1361 "baselinePercentile": 85
1362 }
1363 },
1364 "analysisPlan": {
1365 "summaryPlan": {
1366 "messages": [
1367 {}
1368 ],
1369 "enabled": true,
1370 "timeoutSeconds": 1.1
1371 },
1372 "structuredDataPlan": {
1373 "messages": [
1374 {}
1375 ],
1376 "enabled": true,
1377 "schema": {
1378 "type": "string",
1379 "items": {},
1380 "properties": {},
1381 "description": "string",
1382 "pattern": "string",
1383 "format": "date-time",
1384 "required": [
1385 "string"
1386 ],
1387 "enum": [
1388 "string"
1389 ],
1390 "title": "string"
1391 },
1392 "timeoutSeconds": 1.1
1393 },
1394 "successEvaluationPlan": {
1395 "rubric": "NumericScale",
1396 "messages": [
1397 {}
1398 ],
1399 "enabled": true,
1400 "timeoutSeconds": 1.1
1401 },
1402 "minMessagesThreshold": 1.1,
1403 "structuredDataMultiPlan": [
1404 {
1405 "key": "string",
1406 "plan": {
1407 "messages": [
1408 {}
1409 ],
1410 "enabled": true,
1411 "schema": {
1412 "type": "string",
1413 "items": {},
1414 "properties": {},
1415 "description": "string",
1416 "pattern": "string",
1417 "format": "date-time",
1418 "required": [
1419 "string"
1420 ],
1421 "enum": [
1422 "string"
1423 ],
1424 "title": "string"
1425 },
1426 "timeoutSeconds": 1.1
1427 }
1428 }
1429 ],
1430 "outcomeIds": [
1431 "string"
1432 ]
1433 },
1434 "artifactPlan": {
1435 "recordingEnabled": true,
1436 "recordingFormat": "wav;l16",
1437 "recordingUseCustomStorageEnabled": true,
1438 "videoRecordingEnabled": false,
1439 "fullMessageHistoryEnabled": false,
1440 "pcapEnabled": true,
1441 "pcapS3PathPrefix": "/pcaps",
1442 "pcapUseCustomStorageEnabled": true,
1443 "loggingEnabled": true,
1444 "loggingUseCustomStorageEnabled": true,
1445 "transcriptPlan": {
1446 "enabled": true,
1447 "assistantName": "string",
1448 "userName": "string"
1449 },
1450 "recordingPath": "string",
1451 "structuredOutputIds": [
1452 "string"
1453 ],
1454 "structuredOutputs": [
1455 {
1456 "name": "string",
1457 "schema": {
1458 "type": "string",
1459 "items": {},
1460 "properties": {},
1461 "description": "string",
1462 "pattern": "string",
1463 "format": "date-time",
1464 "required": [
1465 "string"
1466 ],
1467 "enum": [
1468 "string"
1469 ],
1470 "title": "string"
1471 },
1472 "type": "ai",
1473 "regex": "string",
1474 "model": {
1475 "provider": "openai",
1476 "model": "gpt-5.4",
1477 "temperature": 1.1,
1478 "maxTokens": 5030
1479 },
1480 "compliancePlan": {
1481 "forceStoreOnHipaaEnabled": false
1482 },
1483 "description": "string",
1484 "assistantIds": [
1485 "string"
1486 ],
1487 "workflowIds": [
1488 "string"
1489 ]
1490 }
1491 ],
1492 "scorecardIds": [
1493 "string"
1494 ],
1495 "scorecards": [
1496 {
1497 "metrics": [
1498 {
1499 "structuredOutputId": "string",
1500 "conditions": [
1501 {}
1502 ]
1503 }
1504 ],
1505 "name": "string",
1506 "description": "string",
1507 "assistantIds": [
1508 "string"
1509 ]
1510 }
1511 ],
1512 "loggingPath": "string"
1513 },
1514 "startSpeakingPlan": {
1515 "waitSeconds": 0.4,
1516 "smartEndpointingPlan": {
1517 "provider": "vapi"
1518 },
1519 "customEndpointingRules": [
1520 {
1521 "type": "assistant",
1522 "regex": "string",
1523 "regexOptions": [
1524 {
1525 "type": "ignore-case",
1526 "enabled": true
1527 }
1528 ],
1529 "timeoutSeconds": 1.1
1530 }
1531 ],
1532 "transcriptionEndpointingPlan": {
1533 "onPunctuationSeconds": 0.1,
1534 "onNoPunctuationSeconds": 1.5,
1535 "onNumberSeconds": 0.5
1536 },
1537 "smartEndpointingEnabled": false
1538 },
1539 "stopSpeakingPlan": {
1540 "numWords": 0,
1541 "voiceSeconds": 0.2,
1542 "backoffSeconds": 1,
1543 "acknowledgementPhrases": [
1544 "i understand",
1545 "i see",
1546 "i got it",
1547 "i hear you",
1548 "im listening",
1549 "im with you",
1550 "right",
1551 "okay",
1552 "ok",
1553 "sure",
1554 "alright",
1555 "got it",
1556 "understood",
1557 "yeah",
1558 "yes",
1559 "uh-huh",
1560 "mm-hmm",
1561 "gotcha",
1562 "mhmm",
1563 "ah",
1564 "yeah okay",
1565 "yeah sure"
1566 ],
1567 "interruptionPhrases": [
1568 "stop",
1569 "shut",
1570 "up",
1571 "enough",
1572 "quiet",
1573 "silence",
1574 "but",
1575 "dont",
1576 "not",
1577 "no",
1578 "hold",
1579 "wait",
1580 "cut",
1581 "pause",
1582 "nope",
1583 "nah",
1584 "nevermind",
1585 "never",
1586 "bad",
1587 "actually"
1588 ]
1589 },
1590 "monitorPlan": {
1591 "listenEnabled": false,
1592 "listenAuthenticationEnabled": false,
1593 "controlEnabled": false,
1594 "controlAuthenticationEnabled": false,
1595 "monitorIds": [
1596 "123e4567-e89b-12d3-a456-426614174000"
1597 ]
1598 },
1599 "credentialIds": [
1600 "string"
1601 ],
1602 "server": {
1603 "timeoutSeconds": 20,
1604 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1605 "staticIpAddressesEnabled": false,
1606 "encryptedPaths": [
1607 "string"
1608 ],
1609 "url": "string",
1610 "headers": {},
1611 "backoffPlan": {
1612 "type": "fixed",
1613 "maxRetries": 0,
1614 "baseDelaySeconds": 1,
1615 "excludedStatusCodes": [
1616 400,
1617 401,
1618 403,
1619 404
1620 ]
1621 }
1622 },
1623 "keypadInputPlan": {
1624 "enabled": true,
1625 "timeoutSeconds": 1.1,
1626 "delimiters": "#"
1627 }
1628 },
1629 "squadId": "string",
1630 "squad": {
1631 "members": [
1632 {
1633 "assistantDestinations": [
1634 {
1635 "message": "string",
1636 "type": "assistant",
1637 "transferMode": "rolling-history",
1638 "assistantName": "string",
1639 "description": "string"
1640 }
1641 ],
1642 "assistantId": "string",
1643 "assistant": {
1644 "transcriber": {
1645 "provider": "assembly-ai",
1646 "language": "multi",
1647 "confidenceThreshold": 0.4,
1648 "formatTurns": true,
1649 "endOfTurnConfidenceThreshold": 0.7,
1650 "minEndOfTurnSilenceWhenConfident": 160,
1651 "wordFinalizationMaxWaitTime": 160,
1652 "maxTurnSilence": 400,
1653 "vadAssistedEndpointingEnabled": true,
1654 "speechModel": "universal-streaming-english",
1655 "realtimeUrl": "string",
1656 "wordBoost": [
1657 "string"
1658 ],
1659 "keytermsPrompt": [
1660 "string"
1661 ],
1662 "endUtteranceSilenceThreshold": 1.1,
1663 "disablePartialTranscripts": true,
1664 "fallbackPlan": {
1665 "transcribers": [
1666 {
1667 "provider": "assembly-ai",
1668 "language": "multi",
1669 "confidenceThreshold": 0.4,
1670 "formatTurns": true,
1671 "endOfTurnConfidenceThreshold": 0.7,
1672 "minEndOfTurnSilenceWhenConfident": 160,
1673 "wordFinalizationMaxWaitTime": 160,
1674 "maxTurnSilence": 400,
1675 "vadAssistedEndpointingEnabled": true,
1676 "speechModel": "universal-streaming-english",
1677 "realtimeUrl": "string",
1678 "wordBoost": [
1679 "string"
1680 ],
1681 "keytermsPrompt": [
1682 "string"
1683 ],
1684 "endUtteranceSilenceThreshold": 1.1,
1685 "disablePartialTranscripts": true
1686 }
1687 ]
1688 }
1689 },
1690 "model": {
1691 "messages": [
1692 {
1693 "content": "string",
1694 "role": "assistant"
1695 }
1696 ],
1697 "tools": [
1698 {
1699 "messages": [
1700 {
1701 "contents": [
1702 {}
1703 ],
1704 "type": "request-start",
1705 "blocking": false,
1706 "content": "string",
1707 "conditions": [
1708 {
1709 "operator": {},
1710 "param": {},
1711 "value": {}
1712 }
1713 ]
1714 }
1715 ],
1716 "type": "apiRequest",
1717 "method": "POST",
1718 "timeoutSeconds": 20,
1719 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1720 "encryptedPaths": [
1721 "string"
1722 ],
1723 "parameters": [
1724 {
1725 "key": "string",
1726 "value": {}
1727 }
1728 ],
1729 "name": "string",
1730 "description": "string",
1731 "url": "string",
1732 "body": {
1733 "type": "string",
1734 "items": {},
1735 "properties": {},
1736 "description": "string",
1737 "pattern": "string",
1738 "format": "date-time",
1739 "required": [
1740 "string"
1741 ],
1742 "enum": [
1743 "string"
1744 ],
1745 "title": "string"
1746 },
1747 "headers": {
1748 "type": "string",
1749 "items": {},
1750 "properties": {},
1751 "description": "string",
1752 "pattern": "string",
1753 "format": "date-time",
1754 "required": [
1755 "string"
1756 ],
1757 "enum": [
1758 "string"
1759 ],
1760 "title": "string"
1761 },
1762 "backoffPlan": {
1763 "type": "fixed",
1764 "maxRetries": 0,
1765 "baseDelaySeconds": 1,
1766 "excludedStatusCodes": [
1767 400,
1768 401,
1769 403,
1770 404
1771 ]
1772 },
1773 "variableExtractionPlan": {
1774 "schema": {},
1775 "aliases": [
1776 {
1777 "key": {},
1778 "value": {}
1779 }
1780 ]
1781 },
1782 "rejectionPlan": {
1783 "conditions": [
1784 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
1785 ]
1786 }
1787 }
1788 ],
1789 "toolIds": [
1790 "string"
1791 ],
1792 "knowledgeBase": {
1793 "provider": "custom-knowledge-base",
1794 "server": {
1795 "timeoutSeconds": 20,
1796 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1797 "staticIpAddressesEnabled": false,
1798 "encryptedPaths": [
1799 "string"
1800 ],
1801 "url": "string",
1802 "headers": {},
1803 "backoffPlan": {}
1804 }
1805 },
1806 "model": "claude-3-opus-20240229",
1807 "provider": "anthropic",
1808 "thinking": {
1809 "type": "enabled",
1810 "budgetTokens": 50500
1811 },
1812 "temperature": 1.1,
1813 "maxTokens": 5030,
1814 "emotionRecognitionEnabled": true,
1815 "numFastTurns": 1.1
1816 },
1817 "voice": {
1818 "cachingEnabled": true,
1819 "provider": "azure",
1820 "voiceId": "andrew",
1821 "chunkPlan": {
1822 "enabled": true,
1823 "minCharacters": 30,
1824 "punctuationBoundaries": "。",
1825 "formatPlan": {
1826 "enabled": true,
1827 "numberToDigitsCutoff": 2025,
1828 "replacements": [
1829 {}
1830 ],
1831 "formattersEnabled": "markdown"
1832 }
1833 },
1834 "speed": 1.1,
1835 "fallbackPlan": {
1836 "voices": [
1837 {
1838 "cachingEnabled": true,
1839 "provider": "azure",
1840 "voiceId": "andrew",
1841 "speed": 1.1,
1842 "chunkPlan": {},
1843 "oneOf": null
1844 }
1845 ]
1846 }
1847 },
1848 "firstMessage": "Hello! How can I help you today?",
1849 "firstMessageInterruptionsEnabled": false,
1850 "firstMessageMode": "assistant-speaks-first",
1851 "voicemailDetection": "off",
1852 "clientMessages": "conversation-update",
1853 "serverMessages": "assistant.started",
1854 "maxDurationSeconds": 600,
1855 "backgroundSound": "off",
1856 "modelOutputInMessagesEnabled": false,
1857 "transportConfigurations": [
1858 {
1859 "provider": "twilio",
1860 "timeout": 60,
1861 "record": false,
1862 "recordingChannels": "mono"
1863 }
1864 ],
1865 "observabilityPlan": {
1866 "provider": "langfuse",
1867 "tags": [
1868 "string"
1869 ],
1870 "promptName": "string",
1871 "promptVersion": 1.1,
1872 "traceName": "string",
1873 "metadata": {}
1874 },
1875 "credentials": [
1876 {
1877 "provider": "anthropic",
1878 "apiKey": "string",
1879 "name": "string"
1880 }
1881 ],
1882 "hooks": [
1883 {
1884 "on": "call.ending",
1885 "do": [
1886 {
1887 "type": "tool",
1888 "tool": {
1889 "messages": [
1890 {}
1891 ],
1892 "type": "apiRequest",
1893 "method": "POST",
1894 "timeoutSeconds": 20,
1895 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1896 "encryptedPaths": [
1897 "string"
1898 ],
1899 "parameters": [
1900 {
1901 "key": {},
1902 "value": {}
1903 }
1904 ],
1905 "name": "string",
1906 "description": "string",
1907 "url": "string",
1908 "body": {},
1909 "headers": {},
1910 "backoffPlan": {},
1911 "variableExtractionPlan": {},
1912 "rejectionPlan": {}
1913 },
1914 "toolId": "string"
1915 }
1916 ],
1917 "filters": [
1918 {
1919 "type": "oneOf",
1920 "key": "string",
1921 "oneOf": [
1922 "string"
1923 ]
1924 }
1925 ]
1926 }
1927 ],
1928 "name": "string",
1929 "voicemailMessage": "string",
1930 "endCallMessage": "string",
1931 "endCallPhrases": [
1932 "string"
1933 ],
1934 "compliancePlan": {
1935 "hipaaEnabled": true,
1936 "pciEnabled": {
1937 "pciEnabled": false
1938 },
1939 "securityFilterPlan": {
1940 "enabled": false,
1941 "filters": [
1942 {}
1943 ],
1944 "mode": "sanitize",
1945 "replacementText": "[FILTERED]"
1946 },
1947 "recordingConsentPlan": {
1948 "type": "stay-on-line",
1949 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
1950 "voice": {
1951 "cachingEnabled": true,
1952 "provider": "azure",
1953 "voiceId": "andrew",
1954 "chunkPlan": {
1955 "enabled": true,
1956 "minCharacters": 30,
1957 "punctuationBoundaries": [
1958 "。",
1959 ",",
1960 ".",
1961 "!",
1962 "?",
1963 ";",
1964 "،",
1965 "۔",
1966 "।",
1967 "॥",
1968 "|",
1969 "||",
1970 ",",
1971 ":"
1972 ],
1973 "formatPlan": {}
1974 },
1975 "speed": 1.1,
1976 "fallbackPlan": {
1977 "voices": {}
1978 }
1979 },
1980 "waitSeconds": 3
1981 }
1982 },
1983 "metadata": {},
1984 "backgroundSpeechDenoisingPlan": {
1985 "smartDenoisingPlan": {
1986 "enabled": true
1987 },
1988 "fourierDenoisingPlan": {
1989 "enabled": false,
1990 "mediaDetectionEnabled": true,
1991 "staticThreshold": -35,
1992 "baselineOffsetDb": -15,
1993 "windowSizeMs": 3000,
1994 "baselinePercentile": 85
1995 }
1996 },
1997 "analysisPlan": {
1998 "summaryPlan": {
1999 "messages": [
2000 {}
2001 ],
2002 "enabled": true,
2003 "timeoutSeconds": 1.1
2004 },
2005 "structuredDataPlan": {
2006 "messages": [
2007 {}
2008 ],
2009 "enabled": true,
2010 "schema": {
2011 "type": "string",
2012 "items": {},
2013 "properties": {},
2014 "description": "string",
2015 "pattern": "string",
2016 "format": "date-time",
2017 "required": [
2018 "string"
2019 ],
2020 "enum": [
2021 "string"
2022 ],
2023 "title": "string"
2024 },
2025 "timeoutSeconds": 1.1
2026 },
2027 "successEvaluationPlan": {
2028 "rubric": "NumericScale",
2029 "messages": [
2030 {}
2031 ],
2032 "enabled": true,
2033 "timeoutSeconds": 1.1
2034 },
2035 "minMessagesThreshold": 1.1,
2036 "structuredDataMultiPlan": [
2037 {
2038 "key": "string",
2039 "plan": {
2040 "messages": [
2041 {}
2042 ],
2043 "enabled": true,
2044 "schema": {
2045 "type": {},
2046 "items": {},
2047 "properties": {},
2048 "description": {},
2049 "pattern": {},
2050 "format": {},
2051 "required": {},
2052 "enum": {},
2053 "title": {}
2054 },
2055 "timeoutSeconds": 1.1
2056 }
2057 }
2058 ],
2059 "outcomeIds": [
2060 "string"
2061 ]
2062 },
2063 "artifactPlan": {
2064 "recordingEnabled": true,
2065 "recordingFormat": "wav;l16",
2066 "recordingUseCustomStorageEnabled": true,
2067 "videoRecordingEnabled": false,
2068 "fullMessageHistoryEnabled": false,
2069 "pcapEnabled": true,
2070 "pcapS3PathPrefix": "/pcaps",
2071 "pcapUseCustomStorageEnabled": true,
2072 "loggingEnabled": true,
2073 "loggingUseCustomStorageEnabled": true,
2074 "transcriptPlan": {
2075 "enabled": true,
2076 "assistantName": "string",
2077 "userName": "string"
2078 },
2079 "recordingPath": "string",
2080 "structuredOutputIds": [
2081 "string"
2082 ],
2083 "structuredOutputs": [
2084 {
2085 "name": "string",
2086 "schema": {
2087 "type": "string",
2088 "items": {},
2089 "properties": {},
2090 "description": "string",
2091 "pattern": "string",
2092 "format": "date-time",
2093 "required": [
2094 "string"
2095 ],
2096 "enum": [
2097 "string"
2098 ],
2099 "title": "string"
2100 },
2101 "type": "ai",
2102 "regex": "string",
2103 "model": {
2104 "provider": "openai",
2105 "model": "gpt-5.4",
2106 "temperature": 1.1,
2107 "maxTokens": 5030
2108 },
2109 "compliancePlan": {
2110 "forceStoreOnHipaaEnabled": false
2111 },
2112 "description": "string",
2113 "assistantIds": [
2114 "string"
2115 ],
2116 "workflowIds": [
2117 "string"
2118 ]
2119 }
2120 ],
2121 "scorecardIds": [
2122 "string"
2123 ],
2124 "scorecards": [
2125 {
2126 "metrics": [
2127 {
2128 "structuredOutputId": "string",
2129 "conditions": [
2130 {}
2131 ]
2132 }
2133 ],
2134 "name": "string",
2135 "description": "string",
2136 "assistantIds": [
2137 "string"
2138 ]
2139 }
2140 ],
2141 "loggingPath": "string"
2142 },
2143 "startSpeakingPlan": {
2144 "waitSeconds": 0.4,
2145 "smartEndpointingPlan": {
2146 "provider": "vapi"
2147 },
2148 "customEndpointingRules": [
2149 {
2150 "type": "assistant",
2151 "regex": "string",
2152 "regexOptions": [
2153 {
2154 "type": "ignore-case",
2155 "enabled": true
2156 }
2157 ],
2158 "timeoutSeconds": 1.1
2159 }
2160 ],
2161 "transcriptionEndpointingPlan": {
2162 "onPunctuationSeconds": 0.1,
2163 "onNoPunctuationSeconds": 1.5,
2164 "onNumberSeconds": 0.5
2165 },
2166 "smartEndpointingEnabled": false
2167 },
2168 "stopSpeakingPlan": {
2169 "numWords": 0,
2170 "voiceSeconds": 0.2,
2171 "backoffSeconds": 1,
2172 "acknowledgementPhrases": [
2173 "i understand",
2174 "i see",
2175 "i got it",
2176 "i hear you",
2177 "im listening",
2178 "im with you",
2179 "right",
2180 "okay",
2181 "ok",
2182 "sure",
2183 "alright",
2184 "got it",
2185 "understood",
2186 "yeah",
2187 "yes",
2188 "uh-huh",
2189 "mm-hmm",
2190 "gotcha",
2191 "mhmm",
2192 "ah",
2193 "yeah okay",
2194 "yeah sure"
2195 ],
2196 "interruptionPhrases": [
2197 "stop",
2198 "shut",
2199 "up",
2200 "enough",
2201 "quiet",
2202 "silence",
2203 "but",
2204 "dont",
2205 "not",
2206 "no",
2207 "hold",
2208 "wait",
2209 "cut",
2210 "pause",
2211 "nope",
2212 "nah",
2213 "nevermind",
2214 "never",
2215 "bad",
2216 "actually"
2217 ]
2218 },
2219 "monitorPlan": {
2220 "listenEnabled": false,
2221 "listenAuthenticationEnabled": false,
2222 "controlEnabled": false,
2223 "controlAuthenticationEnabled": false,
2224 "monitorIds": [
2225 "123e4567-e89b-12d3-a456-426614174000"
2226 ]
2227 },
2228 "credentialIds": [
2229 "string"
2230 ],
2231 "server": {
2232 "timeoutSeconds": 20,
2233 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2234 "staticIpAddressesEnabled": false,
2235 "encryptedPaths": [
2236 "string"
2237 ],
2238 "url": "string",
2239 "headers": {},
2240 "backoffPlan": {
2241 "type": "fixed",
2242 "maxRetries": 0,
2243 "baseDelaySeconds": 1,
2244 "excludedStatusCodes": [
2245 400,
2246 401,
2247 403,
2248 404
2249 ]
2250 }
2251 },
2252 "keypadInputPlan": {
2253 "enabled": true,
2254 "timeoutSeconds": 1.1,
2255 "delimiters": "#"
2256 }
2257 },
2258 "assistantOverrides": {
2259 "transcriber": {
2260 "provider": "assembly-ai",
2261 "language": "multi",
2262 "confidenceThreshold": 0.4,
2263 "formatTurns": true,
2264 "endOfTurnConfidenceThreshold": 0.7,
2265 "minEndOfTurnSilenceWhenConfident": 160,
2266 "wordFinalizationMaxWaitTime": 160,
2267 "maxTurnSilence": 400,
2268 "vadAssistedEndpointingEnabled": true,
2269 "speechModel": "universal-streaming-english",
2270 "realtimeUrl": "string",
2271 "wordBoost": [
2272 "string"
2273 ],
2274 "keytermsPrompt": [
2275 "string"
2276 ],
2277 "endUtteranceSilenceThreshold": 1.1,
2278 "disablePartialTranscripts": true,
2279 "fallbackPlan": {
2280 "transcribers": [
2281 {
2282 "provider": "assembly-ai",
2283 "language": "multi",
2284 "confidenceThreshold": 0.4,
2285 "formatTurns": true,
2286 "endOfTurnConfidenceThreshold": 0.7,
2287 "minEndOfTurnSilenceWhenConfident": 160,
2288 "wordFinalizationMaxWaitTime": 160,
2289 "maxTurnSilence": 400,
2290 "vadAssistedEndpointingEnabled": true,
2291 "speechModel": "universal-streaming-english",
2292 "realtimeUrl": "string",
2293 "wordBoost": [
2294 "string"
2295 ],
2296 "keytermsPrompt": [
2297 "string"
2298 ],
2299 "endUtteranceSilenceThreshold": 1.1,
2300 "disablePartialTranscripts": true
2301 }
2302 ]
2303 }
2304 },
2305 "model": {
2306 "messages": [
2307 {
2308 "content": "string",
2309 "role": "assistant"
2310 }
2311 ],
2312 "tools": [
2313 {
2314 "messages": [
2315 {
2316 "contents": [
2317 {}
2318 ],
2319 "type": "request-start",
2320 "blocking": false,
2321 "content": "string",
2322 "conditions": [
2323 {
2324 "operator": {},
2325 "param": {},
2326 "value": {}
2327 }
2328 ]
2329 }
2330 ],
2331 "type": "apiRequest",
2332 "method": "POST",
2333 "timeoutSeconds": 20,
2334 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2335 "encryptedPaths": [
2336 "string"
2337 ],
2338 "parameters": [
2339 {
2340 "key": "string",
2341 "value": {}
2342 }
2343 ],
2344 "name": "string",
2345 "description": "string",
2346 "url": "string",
2347 "body": {
2348 "type": "string",
2349 "items": {},
2350 "properties": {},
2351 "description": "string",
2352 "pattern": "string",
2353 "format": "date-time",
2354 "required": [
2355 "string"
2356 ],
2357 "enum": [
2358 "string"
2359 ],
2360 "title": "string"
2361 },
2362 "headers": {
2363 "type": "string",
2364 "items": {},
2365 "properties": {},
2366 "description": "string",
2367 "pattern": "string",
2368 "format": "date-time",
2369 "required": [
2370 "string"
2371 ],
2372 "enum": [
2373 "string"
2374 ],
2375 "title": "string"
2376 },
2377 "backoffPlan": {
2378 "type": "fixed",
2379 "maxRetries": 0,
2380 "baseDelaySeconds": 1,
2381 "excludedStatusCodes": [
2382 400,
2383 401,
2384 403,
2385 404
2386 ]
2387 },
2388 "variableExtractionPlan": {
2389 "schema": {},
2390 "aliases": [
2391 {
2392 "key": {},
2393 "value": {}
2394 }
2395 ]
2396 },
2397 "rejectionPlan": {
2398 "conditions": [
2399 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
2400 ]
2401 }
2402 }
2403 ],
2404 "toolIds": [
2405 "string"
2406 ],
2407 "knowledgeBase": {
2408 "provider": "custom-knowledge-base",
2409 "server": {
2410 "timeoutSeconds": 20,
2411 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2412 "staticIpAddressesEnabled": false,
2413 "encryptedPaths": [
2414 "string"
2415 ],
2416 "url": "string",
2417 "headers": {},
2418 "backoffPlan": {}
2419 }
2420 },
2421 "model": "claude-3-opus-20240229",
2422 "provider": "anthropic",
2423 "thinking": {
2424 "type": "enabled",
2425 "budgetTokens": 50500
2426 },
2427 "temperature": 1.1,
2428 "maxTokens": 5030,
2429 "emotionRecognitionEnabled": true,
2430 "numFastTurns": 1.1
2431 },
2432 "voice": {
2433 "cachingEnabled": true,
2434 "provider": "azure",
2435 "voiceId": "andrew",
2436 "chunkPlan": {
2437 "enabled": true,
2438 "minCharacters": 30,
2439 "punctuationBoundaries": "。",
2440 "formatPlan": {
2441 "enabled": true,
2442 "numberToDigitsCutoff": 2025,
2443 "replacements": [
2444 {}
2445 ],
2446 "formattersEnabled": "markdown"
2447 }
2448 },
2449 "speed": 1.1,
2450 "fallbackPlan": {
2451 "voices": [
2452 {
2453 "cachingEnabled": true,
2454 "provider": "azure",
2455 "voiceId": "andrew",
2456 "speed": 1.1,
2457 "chunkPlan": {},
2458 "oneOf": null
2459 }
2460 ]
2461 }
2462 },
2463 "firstMessage": "Hello! How can I help you today?",
2464 "firstMessageInterruptionsEnabled": false,
2465 "firstMessageMode": "assistant-speaks-first",
2466 "voicemailDetection": "off",
2467 "clientMessages": "conversation-update",
2468 "serverMessages": "assistant.started",
2469 "maxDurationSeconds": 600,
2470 "backgroundSound": "off",
2471 "modelOutputInMessagesEnabled": false,
2472 "transportConfigurations": [
2473 {
2474 "provider": "twilio",
2475 "timeout": 60,
2476 "record": false,
2477 "recordingChannels": "mono"
2478 }
2479 ],
2480 "observabilityPlan": {
2481 "provider": "langfuse",
2482 "tags": [
2483 "string"
2484 ],
2485 "promptName": "string",
2486 "promptVersion": 1.1,
2487 "traceName": "string",
2488 "metadata": {}
2489 },
2490 "credentials": [
2491 {
2492 "provider": "anthropic",
2493 "apiKey": "string",
2494 "name": "string"
2495 }
2496 ],
2497 "hooks": [
2498 {
2499 "on": "call.ending",
2500 "do": [
2501 {
2502 "type": "tool",
2503 "tool": {
2504 "messages": [
2505 {}
2506 ],
2507 "type": "apiRequest",
2508 "method": "POST",
2509 "timeoutSeconds": 20,
2510 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2511 "encryptedPaths": [
2512 "string"
2513 ],
2514 "parameters": [
2515 {
2516 "key": {},
2517 "value": {}
2518 }
2519 ],
2520 "name": "string",
2521 "description": "string",
2522 "url": "string",
2523 "body": {},
2524 "headers": {},
2525 "backoffPlan": {},
2526 "variableExtractionPlan": {},
2527 "rejectionPlan": {}
2528 },
2529 "toolId": "string"
2530 }
2531 ],
2532 "filters": [
2533 {
2534 "type": "oneOf",
2535 "key": "string",
2536 "oneOf": [
2537 "string"
2538 ]
2539 }
2540 ]
2541 }
2542 ],
2543 "tools:append": [
2544 {
2545 "messages": [
2546 {
2547 "contents": [
2548 {
2549 "type": "text",
2550 "text": "string",
2551 "language": "aa"
2552 }
2553 ],
2554 "type": "request-start",
2555 "blocking": false,
2556 "content": "string",
2557 "conditions": [
2558 {
2559 "operator": "eq",
2560 "param": "string",
2561 "value": "string"
2562 }
2563 ]
2564 }
2565 ],
2566 "type": "apiRequest",
2567 "method": "POST",
2568 "timeoutSeconds": 20,
2569 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2570 "encryptedPaths": [
2571 "string"
2572 ],
2573 "parameters": [
2574 {
2575 "key": "string",
2576 "value": {}
2577 }
2578 ],
2579 "name": "string",
2580 "description": "string",
2581 "url": "string",
2582 "body": {
2583 "type": "string",
2584 "items": {},
2585 "properties": {},
2586 "description": "string",
2587 "pattern": "string",
2588 "format": "date-time",
2589 "required": [
2590 "string"
2591 ],
2592 "enum": [
2593 "string"
2594 ],
2595 "title": "string"
2596 },
2597 "headers": {
2598 "type": "string",
2599 "items": {},
2600 "properties": {},
2601 "description": "string",
2602 "pattern": "string",
2603 "format": "date-time",
2604 "required": [
2605 "string"
2606 ],
2607 "enum": [
2608 "string"
2609 ],
2610 "title": "string"
2611 },
2612 "backoffPlan": {
2613 "type": "fixed",
2614 "maxRetries": 0,
2615 "baseDelaySeconds": 1,
2616 "excludedStatusCodes": [
2617 400,
2618 401,
2619 403,
2620 404
2621 ]
2622 },
2623 "variableExtractionPlan": {
2624 "schema": {
2625 "type": "string",
2626 "items": {},
2627 "properties": {},
2628 "description": "string",
2629 "pattern": "string",
2630 "format": "date-time",
2631 "required": [
2632 "string"
2633 ],
2634 "enum": [
2635 "string"
2636 ],
2637 "title": "string"
2638 },
2639 "aliases": [
2640 {
2641 "key": "string",
2642 "value": "string"
2643 }
2644 ]
2645 },
2646 "rejectionPlan": {
2647 "conditions": [
2648 {
2649 "type": "regex",
2650 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
2651 }
2652 ]
2653 }
2654 }
2655 ],
2656 "variableValues": {},
2657 "name": "string",
2658 "voicemailMessage": "string",
2659 "endCallMessage": "string",
2660 "endCallPhrases": [
2661 "string"
2662 ],
2663 "compliancePlan": {
2664 "hipaaEnabled": true,
2665 "pciEnabled": {
2666 "pciEnabled": false
2667 },
2668 "securityFilterPlan": {
2669 "enabled": false,
2670 "filters": [
2671 {}
2672 ],
2673 "mode": "sanitize",
2674 "replacementText": "[FILTERED]"
2675 },
2676 "recordingConsentPlan": {
2677 "type": "stay-on-line",
2678 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
2679 "voice": {
2680 "cachingEnabled": true,
2681 "provider": "azure",
2682 "voiceId": "andrew",
2683 "chunkPlan": {
2684 "enabled": true,
2685 "minCharacters": 30,
2686 "punctuationBoundaries": [
2687 "。",
2688 ",",
2689 ".",
2690 "!",
2691 "?",
2692 ";",
2693 "،",
2694 "۔",
2695 "।",
2696 "॥",
2697 "|",
2698 "||",
2699 ",",
2700 ":"
2701 ],
2702 "formatPlan": {}
2703 },
2704 "speed": 1.1,
2705 "fallbackPlan": {
2706 "voices": {}
2707 }
2708 },
2709 "waitSeconds": 3
2710 }
2711 },
2712 "metadata": {},
2713 "backgroundSpeechDenoisingPlan": {
2714 "smartDenoisingPlan": {
2715 "enabled": true
2716 },
2717 "fourierDenoisingPlan": {
2718 "enabled": false,
2719 "mediaDetectionEnabled": true,
2720 "staticThreshold": -35,
2721 "baselineOffsetDb": -15,
2722 "windowSizeMs": 3000,
2723 "baselinePercentile": 85
2724 }
2725 },
2726 "analysisPlan": {
2727 "summaryPlan": {
2728 "messages": [
2729 {}
2730 ],
2731 "enabled": true,
2732 "timeoutSeconds": 1.1
2733 },
2734 "structuredDataPlan": {
2735 "messages": [
2736 {}
2737 ],
2738 "enabled": true,
2739 "schema": {
2740 "type": "string",
2741 "items": {},
2742 "properties": {},
2743 "description": "string",
2744 "pattern": "string",
2745 "format": "date-time",
2746 "required": [
2747 "string"
2748 ],
2749 "enum": [
2750 "string"
2751 ],
2752 "title": "string"
2753 },
2754 "timeoutSeconds": 1.1
2755 },
2756 "successEvaluationPlan": {
2757 "rubric": "NumericScale",
2758 "messages": [
2759 {}
2760 ],
2761 "enabled": true,
2762 "timeoutSeconds": 1.1
2763 },
2764 "minMessagesThreshold": 1.1,
2765 "structuredDataMultiPlan": [
2766 {
2767 "key": "string",
2768 "plan": {
2769 "messages": [
2770 {}
2771 ],
2772 "enabled": true,
2773 "schema": {
2774 "type": {},
2775 "items": {},
2776 "properties": {},
2777 "description": {},
2778 "pattern": {},
2779 "format": {},
2780 "required": {},
2781 "enum": {},
2782 "title": {}
2783 },
2784 "timeoutSeconds": 1.1
2785 }
2786 }
2787 ],
2788 "outcomeIds": [
2789 "string"
2790 ]
2791 },
2792 "artifactPlan": {
2793 "recordingEnabled": true,
2794 "recordingFormat": "wav;l16",
2795 "recordingUseCustomStorageEnabled": true,
2796 "videoRecordingEnabled": false,
2797 "fullMessageHistoryEnabled": false,
2798 "pcapEnabled": true,
2799 "pcapS3PathPrefix": "/pcaps",
2800 "pcapUseCustomStorageEnabled": true,
2801 "loggingEnabled": true,
2802 "loggingUseCustomStorageEnabled": true,
2803 "transcriptPlan": {
2804 "enabled": true,
2805 "assistantName": "string",
2806 "userName": "string"
2807 },
2808 "recordingPath": "string",
2809 "structuredOutputIds": [
2810 "string"
2811 ],
2812 "structuredOutputs": [
2813 {
2814 "name": "string",
2815 "schema": {
2816 "type": "string",
2817 "items": {},
2818 "properties": {},
2819 "description": "string",
2820 "pattern": "string",
2821 "format": "date-time",
2822 "required": [
2823 "string"
2824 ],
2825 "enum": [
2826 "string"
2827 ],
2828 "title": "string"
2829 },
2830 "type": "ai",
2831 "regex": "string",
2832 "model": {
2833 "provider": "openai",
2834 "model": "gpt-5.4",
2835 "temperature": 1.1,
2836 "maxTokens": 5030
2837 },
2838 "compliancePlan": {
2839 "forceStoreOnHipaaEnabled": false
2840 },
2841 "description": "string",
2842 "assistantIds": [
2843 "string"
2844 ],
2845 "workflowIds": [
2846 "string"
2847 ]
2848 }
2849 ],
2850 "scorecardIds": [
2851 "string"
2852 ],
2853 "scorecards": [
2854 {
2855 "metrics": [
2856 {
2857 "structuredOutputId": "string",
2858 "conditions": [
2859 {}
2860 ]
2861 }
2862 ],
2863 "name": "string",
2864 "description": "string",
2865 "assistantIds": [
2866 "string"
2867 ]
2868 }
2869 ],
2870 "loggingPath": "string"
2871 },
2872 "startSpeakingPlan": {
2873 "waitSeconds": 0.4,
2874 "smartEndpointingPlan": {
2875 "provider": "vapi"
2876 },
2877 "customEndpointingRules": [
2878 {
2879 "type": "assistant",
2880 "regex": "string",
2881 "regexOptions": [
2882 {
2883 "type": "ignore-case",
2884 "enabled": true
2885 }
2886 ],
2887 "timeoutSeconds": 1.1
2888 }
2889 ],
2890 "transcriptionEndpointingPlan": {
2891 "onPunctuationSeconds": 0.1,
2892 "onNoPunctuationSeconds": 1.5,
2893 "onNumberSeconds": 0.5
2894 },
2895 "smartEndpointingEnabled": false
2896 },
2897 "stopSpeakingPlan": {
2898 "numWords": 0,
2899 "voiceSeconds": 0.2,
2900 "backoffSeconds": 1,
2901 "acknowledgementPhrases": [
2902 "i understand",
2903 "i see",
2904 "i got it",
2905 "i hear you",
2906 "im listening",
2907 "im with you",
2908 "right",
2909 "okay",
2910 "ok",
2911 "sure",
2912 "alright",
2913 "got it",
2914 "understood",
2915 "yeah",
2916 "yes",
2917 "uh-huh",
2918 "mm-hmm",
2919 "gotcha",
2920 "mhmm",
2921 "ah",
2922 "yeah okay",
2923 "yeah sure"
2924 ],
2925 "interruptionPhrases": [
2926 "stop",
2927 "shut",
2928 "up",
2929 "enough",
2930 "quiet",
2931 "silence",
2932 "but",
2933 "dont",
2934 "not",
2935 "no",
2936 "hold",
2937 "wait",
2938 "cut",
2939 "pause",
2940 "nope",
2941 "nah",
2942 "nevermind",
2943 "never",
2944 "bad",
2945 "actually"
2946 ]
2947 },
2948 "monitorPlan": {
2949 "listenEnabled": false,
2950 "listenAuthenticationEnabled": false,
2951 "controlEnabled": false,
2952 "controlAuthenticationEnabled": false,
2953 "monitorIds": [
2954 "123e4567-e89b-12d3-a456-426614174000"
2955 ]
2956 },
2957 "credentialIds": [
2958 "string"
2959 ],
2960 "server": {
2961 "timeoutSeconds": 20,
2962 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2963 "staticIpAddressesEnabled": false,
2964 "encryptedPaths": [
2965 "string"
2966 ],
2967 "url": "string",
2968 "headers": {},
2969 "backoffPlan": {
2970 "type": "fixed",
2971 "maxRetries": 0,
2972 "baseDelaySeconds": 1,
2973 "excludedStatusCodes": [
2974 400,
2975 401,
2976 403,
2977 404
2978 ]
2979 }
2980 },
2981 "keypadInputPlan": {
2982 "enabled": true,
2983 "timeoutSeconds": 1.1,
2984 "delimiters": "#"
2985 }
2986 }
2987 }
2988 ],
2989 "name": "string",
2990 "membersOverrides": {
2991 "transcriber": {
2992 "provider": "assembly-ai",
2993 "language": "multi",
2994 "confidenceThreshold": 0.4,
2995 "formatTurns": true,
2996 "endOfTurnConfidenceThreshold": 0.7,
2997 "minEndOfTurnSilenceWhenConfident": 160,
2998 "wordFinalizationMaxWaitTime": 160,
2999 "maxTurnSilence": 400,
3000 "vadAssistedEndpointingEnabled": true,
3001 "speechModel": "universal-streaming-english",
3002 "realtimeUrl": "string",
3003 "wordBoost": [
3004 "string"
3005 ],
3006 "keytermsPrompt": [
3007 "string"
3008 ],
3009 "endUtteranceSilenceThreshold": 1.1,
3010 "disablePartialTranscripts": true,
3011 "fallbackPlan": {
3012 "transcribers": [
3013 {
3014 "provider": "assembly-ai",
3015 "language": "multi",
3016 "confidenceThreshold": 0.4,
3017 "formatTurns": true,
3018 "endOfTurnConfidenceThreshold": 0.7,
3019 "minEndOfTurnSilenceWhenConfident": 160,
3020 "wordFinalizationMaxWaitTime": 160,
3021 "maxTurnSilence": 400,
3022 "vadAssistedEndpointingEnabled": true,
3023 "speechModel": "universal-streaming-english",
3024 "realtimeUrl": "string",
3025 "wordBoost": [
3026 "string"
3027 ],
3028 "keytermsPrompt": [
3029 "string"
3030 ],
3031 "endUtteranceSilenceThreshold": 1.1,
3032 "disablePartialTranscripts": true
3033 }
3034 ]
3035 }
3036 },
3037 "model": {
3038 "messages": [
3039 {
3040 "content": "string",
3041 "role": "assistant"
3042 }
3043 ],
3044 "tools": [
3045 {
3046 "messages": [
3047 {
3048 "contents": [
3049 {
3050 "type": {},
3051 "text": {},
3052 "language": {}
3053 }
3054 ],
3055 "type": "request-start",
3056 "blocking": false,
3057 "content": "string",
3058 "conditions": [
3059 {
3060 "operator": "eq",
3061 "param": "string",
3062 "value": "string"
3063 }
3064 ]
3065 }
3066 ],
3067 "type": "apiRequest",
3068 "method": "POST",
3069 "timeoutSeconds": 20,
3070 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3071 "encryptedPaths": [
3072 "string"
3073 ],
3074 "parameters": [
3075 {
3076 "key": "string",
3077 "value": {}
3078 }
3079 ],
3080 "name": "string",
3081 "description": "string",
3082 "url": "string",
3083 "body": {
3084 "type": "string",
3085 "items": {},
3086 "properties": {},
3087 "description": "string",
3088 "pattern": "string",
3089 "format": "date-time",
3090 "required": [
3091 "string"
3092 ],
3093 "enum": [
3094 "string"
3095 ],
3096 "title": "string"
3097 },
3098 "headers": {
3099 "type": "string",
3100 "items": {},
3101 "properties": {},
3102 "description": "string",
3103 "pattern": "string",
3104 "format": "date-time",
3105 "required": [
3106 "string"
3107 ],
3108 "enum": [
3109 "string"
3110 ],
3111 "title": "string"
3112 },
3113 "backoffPlan": {
3114 "type": "fixed",
3115 "maxRetries": 0,
3116 "baseDelaySeconds": 1,
3117 "excludedStatusCodes": [
3118 400,
3119 401,
3120 403,
3121 404
3122 ]
3123 },
3124 "variableExtractionPlan": {
3125 "schema": {
3126 "type": {},
3127 "items": {},
3128 "properties": {},
3129 "description": {},
3130 "pattern": {},
3131 "format": {},
3132 "required": {},
3133 "enum": {},
3134 "title": {}
3135 },
3136 "aliases": [
3137 {
3138 "key": "string",
3139 "value": "string"
3140 }
3141 ]
3142 },
3143 "rejectionPlan": {
3144 "conditions": [
3145 {
3146 "type": "regex",
3147 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3148 }
3149 ]
3150 }
3151 }
3152 ],
3153 "toolIds": [
3154 "string"
3155 ],
3156 "knowledgeBase": {
3157 "provider": "custom-knowledge-base",
3158 "server": {
3159 "timeoutSeconds": 20,
3160 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3161 "staticIpAddressesEnabled": false,
3162 "encryptedPaths": [
3163 "string"
3164 ],
3165 "url": "string",
3166 "headers": {},
3167 "backoffPlan": {
3168 "type": "fixed",
3169 "maxRetries": 0,
3170 "baseDelaySeconds": 1,
3171 "excludedStatusCodes": [
3172 400,
3173 401,
3174 403,
3175 404
3176 ]
3177 }
3178 }
3179 },
3180 "model": "claude-3-opus-20240229",
3181 "provider": "anthropic",
3182 "thinking": {
3183 "type": "enabled",
3184 "budgetTokens": 50500
3185 },
3186 "temperature": 1.1,
3187 "maxTokens": 5030,
3188 "emotionRecognitionEnabled": true,
3189 "numFastTurns": 1.1
3190 },
3191 "voice": {
3192 "cachingEnabled": true,
3193 "provider": "azure",
3194 "voiceId": "andrew",
3195 "chunkPlan": {
3196 "enabled": true,
3197 "minCharacters": 30,
3198 "punctuationBoundaries": "。",
3199 "formatPlan": {
3200 "enabled": true,
3201 "numberToDigitsCutoff": 2025,
3202 "replacements": [
3203 {
3204 "type": {},
3205 "replaceAllEnabled": {},
3206 "key": {},
3207 "value": {}
3208 }
3209 ],
3210 "formattersEnabled": "markdown"
3211 }
3212 },
3213 "speed": 1.1,
3214 "fallbackPlan": {
3215 "voices": [
3216 {
3217 "cachingEnabled": true,
3218 "provider": "azure",
3219 "voiceId": "andrew",
3220 "speed": 1.1,
3221 "chunkPlan": {
3222 "enabled": true,
3223 "minCharacters": 30,
3224 "punctuationBoundaries": [
3225 "。",
3226 ",",
3227 ".",
3228 "!",
3229 "?",
3230 ";",
3231 "،",
3232 "۔",
3233 "।",
3234 "॥",
3235 "|",
3236 "||",
3237 ",",
3238 ":"
3239 ],
3240 "formatPlan": {}
3241 },
3242 "oneOf": null
3243 }
3244 ]
3245 }
3246 },
3247 "firstMessage": "Hello! How can I help you today?",
3248 "firstMessageInterruptionsEnabled": false,
3249 "firstMessageMode": "assistant-speaks-first",
3250 "voicemailDetection": "off",
3251 "clientMessages": "conversation-update",
3252 "serverMessages": "assistant.started",
3253 "maxDurationSeconds": 600,
3254 "backgroundSound": "off",
3255 "modelOutputInMessagesEnabled": false,
3256 "transportConfigurations": [
3257 {
3258 "provider": "twilio",
3259 "timeout": 60,
3260 "record": false,
3261 "recordingChannels": "mono"
3262 }
3263 ],
3264 "observabilityPlan": {
3265 "provider": "langfuse",
3266 "tags": [
3267 "string"
3268 ],
3269 "promptName": "string",
3270 "promptVersion": 1.1,
3271 "traceName": "string",
3272 "metadata": {}
3273 },
3274 "credentials": [
3275 {
3276 "provider": "anthropic",
3277 "apiKey": "string",
3278 "name": "string"
3279 }
3280 ],
3281 "hooks": [
3282 {
3283 "on": "call.ending",
3284 "do": [
3285 {
3286 "type": "tool",
3287 "tool": {
3288 "messages": [
3289 {
3290 "contents": {},
3291 "type": {},
3292 "blocking": false,
3293 "content": {},
3294 "conditions": {}
3295 }
3296 ],
3297 "type": "apiRequest",
3298 "method": "POST",
3299 "timeoutSeconds": 20,
3300 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3301 "encryptedPaths": [
3302 "string"
3303 ],
3304 "parameters": [
3305 {
3306 "key": "string",
3307 "value": {}
3308 }
3309 ],
3310 "name": "string",
3311 "description": "string",
3312 "url": "string",
3313 "body": {
3314 "type": {},
3315 "items": {},
3316 "properties": {},
3317 "description": {},
3318 "pattern": {},
3319 "format": {},
3320 "required": {},
3321 "enum": {},
3322 "title": {}
3323 },
3324 "headers": {
3325 "type": {},
3326 "items": {},
3327 "properties": {},
3328 "description": {},
3329 "pattern": {},
3330 "format": {},
3331 "required": {},
3332 "enum": {},
3333 "title": {}
3334 },
3335 "backoffPlan": {
3336 "type": "fixed",
3337 "maxRetries": 0,
3338 "baseDelaySeconds": 1,
3339 "excludedStatusCodes": [
3340 400,
3341 401,
3342 403,
3343 404
3344 ]
3345 },
3346 "variableExtractionPlan": {
3347 "schema": {},
3348 "aliases": {}
3349 },
3350 "rejectionPlan": {
3351 "conditions": "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
3352 }
3353 },
3354 "toolId": "string"
3355 }
3356 ],
3357 "filters": [
3358 {
3359 "type": "oneOf",
3360 "key": "string",
3361 "oneOf": [
3362 "string"
3363 ]
3364 }
3365 ]
3366 }
3367 ],
3368 "tools:append": [
3369 {
3370 "messages": [
3371 {
3372 "contents": [
3373 {
3374 "type": "text",
3375 "text": "string",
3376 "language": "aa"
3377 }
3378 ],
3379 "type": "request-start",
3380 "blocking": false,
3381 "content": "string",
3382 "conditions": [
3383 {
3384 "operator": "eq",
3385 "param": "string",
3386 "value": "string"
3387 }
3388 ]
3389 }
3390 ],
3391 "type": "apiRequest",
3392 "method": "POST",
3393 "timeoutSeconds": 20,
3394 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3395 "encryptedPaths": [
3396 "string"
3397 ],
3398 "parameters": [
3399 {
3400 "key": "string",
3401 "value": {}
3402 }
3403 ],
3404 "name": "string",
3405 "description": "string",
3406 "url": "string",
3407 "body": {
3408 "type": "string",
3409 "items": {},
3410 "properties": {},
3411 "description": "string",
3412 "pattern": "string",
3413 "format": "date-time",
3414 "required": [
3415 "string"
3416 ],
3417 "enum": [
3418 "string"
3419 ],
3420 "title": "string"
3421 },
3422 "headers": {
3423 "type": "string",
3424 "items": {},
3425 "properties": {},
3426 "description": "string",
3427 "pattern": "string",
3428 "format": "date-time",
3429 "required": [
3430 "string"
3431 ],
3432 "enum": [
3433 "string"
3434 ],
3435 "title": "string"
3436 },
3437 "backoffPlan": {
3438 "type": "fixed",
3439 "maxRetries": 0,
3440 "baseDelaySeconds": 1,
3441 "excludedStatusCodes": [
3442 400,
3443 401,
3444 403,
3445 404
3446 ]
3447 },
3448 "variableExtractionPlan": {
3449 "schema": {
3450 "type": "string",
3451 "items": {},
3452 "properties": {},
3453 "description": "string",
3454 "pattern": "string",
3455 "format": "date-time",
3456 "required": [
3457 "string"
3458 ],
3459 "enum": [
3460 "string"
3461 ],
3462 "title": "string"
3463 },
3464 "aliases": [
3465 {
3466 "key": "string",
3467 "value": "string"
3468 }
3469 ]
3470 },
3471 "rejectionPlan": {
3472 "conditions": [
3473 {
3474 "type": "regex",
3475 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3476 }
3477 ]
3478 }
3479 }
3480 ],
3481 "variableValues": {},
3482 "name": "string",
3483 "voicemailMessage": "string",
3484 "endCallMessage": "string",
3485 "endCallPhrases": [
3486 "string"
3487 ],
3488 "compliancePlan": {
3489 "hipaaEnabled": true,
3490 "pciEnabled": {
3491 "pciEnabled": false
3492 },
3493 "securityFilterPlan": {
3494 "enabled": false,
3495 "filters": [
3496 {}
3497 ],
3498 "mode": "sanitize",
3499 "replacementText": "[FILTERED]"
3500 },
3501 "recordingConsentPlan": {
3502 "type": "stay-on-line",
3503 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
3504 "voice": {
3505 "cachingEnabled": true,
3506 "provider": "azure",
3507 "voiceId": "andrew",
3508 "chunkPlan": {
3509 "enabled": true,
3510 "minCharacters": 30,
3511 "punctuationBoundaries": "。",
3512 "formatPlan": {}
3513 },
3514 "speed": 1.1,
3515 "fallbackPlan": {
3516 "voices": [
3517 {}
3518 ]
3519 }
3520 },
3521 "waitSeconds": 3
3522 }
3523 },
3524 "metadata": {},
3525 "backgroundSpeechDenoisingPlan": {
3526 "smartDenoisingPlan": {
3527 "enabled": true
3528 },
3529 "fourierDenoisingPlan": {
3530 "enabled": false,
3531 "mediaDetectionEnabled": true,
3532 "staticThreshold": -35,
3533 "baselineOffsetDb": -15,
3534 "windowSizeMs": 3000,
3535 "baselinePercentile": 85
3536 }
3537 },
3538 "analysisPlan": {
3539 "summaryPlan": {
3540 "messages": [
3541 {}
3542 ],
3543 "enabled": true,
3544 "timeoutSeconds": 1.1
3545 },
3546 "structuredDataPlan": {
3547 "messages": [
3548 {}
3549 ],
3550 "enabled": true,
3551 "schema": {
3552 "type": "string",
3553 "items": {},
3554 "properties": {},
3555 "description": "string",
3556 "pattern": "string",
3557 "format": "date-time",
3558 "required": [
3559 "string"
3560 ],
3561 "enum": [
3562 "string"
3563 ],
3564 "title": "string"
3565 },
3566 "timeoutSeconds": 1.1
3567 },
3568 "successEvaluationPlan": {
3569 "rubric": "NumericScale",
3570 "messages": [
3571 {}
3572 ],
3573 "enabled": true,
3574 "timeoutSeconds": 1.1
3575 },
3576 "minMessagesThreshold": 1.1,
3577 "structuredDataMultiPlan": [
3578 {
3579 "key": "string",
3580 "plan": {
3581 "messages": [
3582 {}
3583 ],
3584 "enabled": true,
3585 "schema": {
3586 "type": "string",
3587 "items": {},
3588 "properties": {},
3589 "description": "string",
3590 "pattern": "string",
3591 "format": "date-time",
3592 "required": [
3593 "string"
3594 ],
3595 "enum": [
3596 "string"
3597 ],
3598 "title": "string"
3599 },
3600 "timeoutSeconds": 1.1
3601 }
3602 }
3603 ],
3604 "outcomeIds": [
3605 "string"
3606 ]
3607 },
3608 "artifactPlan": {
3609 "recordingEnabled": true,
3610 "recordingFormat": "wav;l16",
3611 "recordingUseCustomStorageEnabled": true,
3612 "videoRecordingEnabled": false,
3613 "fullMessageHistoryEnabled": false,
3614 "pcapEnabled": true,
3615 "pcapS3PathPrefix": "/pcaps",
3616 "pcapUseCustomStorageEnabled": true,
3617 "loggingEnabled": true,
3618 "loggingUseCustomStorageEnabled": true,
3619 "transcriptPlan": {
3620 "enabled": true,
3621 "assistantName": "string",
3622 "userName": "string"
3623 },
3624 "recordingPath": "string",
3625 "structuredOutputIds": [
3626 "string"
3627 ],
3628 "structuredOutputs": [
3629 {
3630 "name": "string",
3631 "schema": {
3632 "type": "string",
3633 "items": {},
3634 "properties": {},
3635 "description": "string",
3636 "pattern": "string",
3637 "format": "date-time",
3638 "required": [
3639 "string"
3640 ],
3641 "enum": [
3642 "string"
3643 ],
3644 "title": "string"
3645 },
3646 "type": "ai",
3647 "regex": "string",
3648 "model": {
3649 "provider": "openai",
3650 "model": "gpt-5.4",
3651 "temperature": 1.1,
3652 "maxTokens": 5030
3653 },
3654 "compliancePlan": {
3655 "forceStoreOnHipaaEnabled": false
3656 },
3657 "description": "string",
3658 "assistantIds": [
3659 "string"
3660 ],
3661 "workflowIds": [
3662 "string"
3663 ]
3664 }
3665 ],
3666 "scorecardIds": [
3667 "string"
3668 ],
3669 "scorecards": [
3670 {
3671 "metrics": [
3672 {
3673 "structuredOutputId": "string",
3674 "conditions": [
3675 {}
3676 ]
3677 }
3678 ],
3679 "name": "string",
3680 "description": "string",
3681 "assistantIds": [
3682 "string"
3683 ]
3684 }
3685 ],
3686 "loggingPath": "string"
3687 },
3688 "startSpeakingPlan": {
3689 "waitSeconds": 0.4,
3690 "smartEndpointingPlan": {
3691 "provider": "vapi"
3692 },
3693 "customEndpointingRules": [
3694 {
3695 "type": "assistant",
3696 "regex": "string",
3697 "regexOptions": [
3698 {
3699 "type": "ignore-case",
3700 "enabled": true
3701 }
3702 ],
3703 "timeoutSeconds": 1.1
3704 }
3705 ],
3706 "transcriptionEndpointingPlan": {
3707 "onPunctuationSeconds": 0.1,
3708 "onNoPunctuationSeconds": 1.5,
3709 "onNumberSeconds": 0.5
3710 },
3711 "smartEndpointingEnabled": false
3712 },
3713 "stopSpeakingPlan": {
3714 "numWords": 0,
3715 "voiceSeconds": 0.2,
3716 "backoffSeconds": 1,
3717 "acknowledgementPhrases": [
3718 "i understand",
3719 "i see",
3720 "i got it",
3721 "i hear you",
3722 "im listening",
3723 "im with you",
3724 "right",
3725 "okay",
3726 "ok",
3727 "sure",
3728 "alright",
3729 "got it",
3730 "understood",
3731 "yeah",
3732 "yes",
3733 "uh-huh",
3734 "mm-hmm",
3735 "gotcha",
3736 "mhmm",
3737 "ah",
3738 "yeah okay",
3739 "yeah sure"
3740 ],
3741 "interruptionPhrases": [
3742 "stop",
3743 "shut",
3744 "up",
3745 "enough",
3746 "quiet",
3747 "silence",
3748 "but",
3749 "dont",
3750 "not",
3751 "no",
3752 "hold",
3753 "wait",
3754 "cut",
3755 "pause",
3756 "nope",
3757 "nah",
3758 "nevermind",
3759 "never",
3760 "bad",
3761 "actually"
3762 ]
3763 },
3764 "monitorPlan": {
3765 "listenEnabled": false,
3766 "listenAuthenticationEnabled": false,
3767 "controlEnabled": false,
3768 "controlAuthenticationEnabled": false,
3769 "monitorIds": [
3770 "123e4567-e89b-12d3-a456-426614174000"
3771 ]
3772 },
3773 "credentialIds": [
3774 "string"
3775 ],
3776 "server": {
3777 "timeoutSeconds": 20,
3778 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3779 "staticIpAddressesEnabled": false,
3780 "encryptedPaths": [
3781 "string"
3782 ],
3783 "url": "string",
3784 "headers": {},
3785 "backoffPlan": {
3786 "type": "fixed",
3787 "maxRetries": 0,
3788 "baseDelaySeconds": 1,
3789 "excludedStatusCodes": [
3790 400,
3791 401,
3792 403,
3793 404
3794 ]
3795 }
3796 },
3797 "keypadInputPlan": {
3798 "enabled": true,
3799 "timeoutSeconds": 1.1,
3800 "delimiters": "#"
3801 }
3802 }
3803 },
3804 "messages": [
3805 {
3806 "role": "string",
3807 "message": "string",
3808 "time": 1.1,
3809 "secondsFromStart": 1.1
3810 }
3811 ],
3812 "customer": {
3813 "numberE164CheckEnabled": true,
3814 "extension": "string",
3815 "assistantOverrides": {
3816 "transcriber": {
3817 "provider": "assembly-ai",
3818 "language": "multi",
3819 "confidenceThreshold": 0.4,
3820 "formatTurns": true,
3821 "endOfTurnConfidenceThreshold": 0.7,
3822 "minEndOfTurnSilenceWhenConfident": 160,
3823 "wordFinalizationMaxWaitTime": 160,
3824 "maxTurnSilence": 400,
3825 "vadAssistedEndpointingEnabled": true,
3826 "speechModel": "universal-streaming-english",
3827 "realtimeUrl": "string",
3828 "wordBoost": [
3829 "string"
3830 ],
3831 "keytermsPrompt": [
3832 "string"
3833 ],
3834 "endUtteranceSilenceThreshold": 1.1,
3835 "disablePartialTranscripts": true,
3836 "fallbackPlan": {
3837 "transcribers": [
3838 {
3839 "provider": "assembly-ai",
3840 "language": "multi",
3841 "confidenceThreshold": 0.4,
3842 "formatTurns": true,
3843 "endOfTurnConfidenceThreshold": 0.7,
3844 "minEndOfTurnSilenceWhenConfident": 160,
3845 "wordFinalizationMaxWaitTime": 160,
3846 "maxTurnSilence": 400,
3847 "vadAssistedEndpointingEnabled": true,
3848 "speechModel": "universal-streaming-english",
3849 "realtimeUrl": "string",
3850 "wordBoost": [
3851 "string"
3852 ],
3853 "keytermsPrompt": [
3854 "string"
3855 ],
3856 "endUtteranceSilenceThreshold": 1.1,
3857 "disablePartialTranscripts": true
3858 }
3859 ]
3860 }
3861 },
3862 "model": {
3863 "messages": [
3864 {
3865 "content": "string",
3866 "role": "assistant"
3867 }
3868 ],
3869 "tools": [
3870 {
3871 "messages": [
3872 {
3873 "contents": [
3874 {
3875 "type": {},
3876 "text": {},
3877 "language": {}
3878 }
3879 ],
3880 "type": "request-start",
3881 "blocking": false,
3882 "content": "string",
3883 "conditions": [
3884 {
3885 "operator": "eq",
3886 "param": "string",
3887 "value": "string"
3888 }
3889 ]
3890 }
3891 ],
3892 "type": "apiRequest",
3893 "method": "POST",
3894 "timeoutSeconds": 20,
3895 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3896 "encryptedPaths": [
3897 "string"
3898 ],
3899 "parameters": [
3900 {
3901 "key": "string",
3902 "value": {}
3903 }
3904 ],
3905 "name": "string",
3906 "description": "string",
3907 "url": "string",
3908 "body": {
3909 "type": "string",
3910 "items": {},
3911 "properties": {},
3912 "description": "string",
3913 "pattern": "string",
3914 "format": "date-time",
3915 "required": [
3916 "string"
3917 ],
3918 "enum": [
3919 "string"
3920 ],
3921 "title": "string"
3922 },
3923 "headers": {
3924 "type": "string",
3925 "items": {},
3926 "properties": {},
3927 "description": "string",
3928 "pattern": "string",
3929 "format": "date-time",
3930 "required": [
3931 "string"
3932 ],
3933 "enum": [
3934 "string"
3935 ],
3936 "title": "string"
3937 },
3938 "backoffPlan": {
3939 "type": "fixed",
3940 "maxRetries": 0,
3941 "baseDelaySeconds": 1,
3942 "excludedStatusCodes": [
3943 400,
3944 401,
3945 403,
3946 404
3947 ]
3948 },
3949 "variableExtractionPlan": {
3950 "schema": {
3951 "type": {},
3952 "items": {},
3953 "properties": {},
3954 "description": {},
3955 "pattern": {},
3956 "format": {},
3957 "required": {},
3958 "enum": {},
3959 "title": {}
3960 },
3961 "aliases": [
3962 {
3963 "key": "string",
3964 "value": "string"
3965 }
3966 ]
3967 },
3968 "rejectionPlan": {
3969 "conditions": [
3970 {
3971 "type": "regex",
3972 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3973 }
3974 ]
3975 }
3976 }
3977 ],
3978 "toolIds": [
3979 "string"
3980 ],
3981 "knowledgeBase": {
3982 "provider": "custom-knowledge-base",
3983 "server": {
3984 "timeoutSeconds": 20,
3985 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3986 "staticIpAddressesEnabled": false,
3987 "encryptedPaths": [
3988 "string"
3989 ],
3990 "url": "string",
3991 "headers": {},
3992 "backoffPlan": {
3993 "type": "fixed",
3994 "maxRetries": 0,
3995 "baseDelaySeconds": 1,
3996 "excludedStatusCodes": [
3997 400,
3998 401,
3999 403,
4000 404
4001 ]
4002 }
4003 }
4004 },
4005 "model": "claude-3-opus-20240229",
4006 "provider": "anthropic",
4007 "thinking": {
4008 "type": "enabled",
4009 "budgetTokens": 50500
4010 },
4011 "temperature": 1.1,
4012 "maxTokens": 5030,
4013 "emotionRecognitionEnabled": true,
4014 "numFastTurns": 1.1
4015 },
4016 "voice": {
4017 "cachingEnabled": true,
4018 "provider": "azure",
4019 "voiceId": "andrew",
4020 "chunkPlan": {
4021 "enabled": true,
4022 "minCharacters": 30,
4023 "punctuationBoundaries": "。",
4024 "formatPlan": {
4025 "enabled": true,
4026 "numberToDigitsCutoff": 2025,
4027 "replacements": [
4028 {
4029 "type": {},
4030 "replaceAllEnabled": {},
4031 "key": {},
4032 "value": {}
4033 }
4034 ],
4035 "formattersEnabled": "markdown"
4036 }
4037 },
4038 "speed": 1.1,
4039 "fallbackPlan": {
4040 "voices": [
4041 {
4042 "cachingEnabled": true,
4043 "provider": "azure",
4044 "voiceId": "andrew",
4045 "speed": 1.1,
4046 "chunkPlan": {
4047 "enabled": true,
4048 "minCharacters": 30,
4049 "punctuationBoundaries": [
4050 "。",
4051 ",",
4052 ".",
4053 "!",
4054 "?",
4055 ";",
4056 "،",
4057 "۔",
4058 "।",
4059 "॥",
4060 "|",
4061 "||",
4062 ",",
4063 ":"
4064 ],
4065 "formatPlan": {}
4066 },
4067 "oneOf": null
4068 }
4069 ]
4070 }
4071 },
4072 "firstMessage": "Hello! How can I help you today?",
4073 "firstMessageInterruptionsEnabled": false,
4074 "firstMessageMode": "assistant-speaks-first",
4075 "voicemailDetection": "off",
4076 "clientMessages": "conversation-update",
4077 "serverMessages": "assistant.started",
4078 "maxDurationSeconds": 600,
4079 "backgroundSound": "off",
4080 "modelOutputInMessagesEnabled": false,
4081 "transportConfigurations": [
4082 {
4083 "provider": "twilio",
4084 "timeout": 60,
4085 "record": false,
4086 "recordingChannels": "mono"
4087 }
4088 ],
4089 "observabilityPlan": {
4090 "provider": "langfuse",
4091 "tags": [
4092 "string"
4093 ],
4094 "promptName": "string",
4095 "promptVersion": 1.1,
4096 "traceName": "string",
4097 "metadata": {}
4098 },
4099 "credentials": [
4100 {
4101 "provider": "anthropic",
4102 "apiKey": "string",
4103 "name": "string"
4104 }
4105 ],
4106 "hooks": [
4107 {
4108 "on": "call.ending",
4109 "do": [
4110 {
4111 "type": "tool",
4112 "tool": {
4113 "messages": [
4114 {
4115 "contents": {},
4116 "type": {},
4117 "blocking": false,
4118 "content": {},
4119 "conditions": {}
4120 }
4121 ],
4122 "type": "apiRequest",
4123 "method": "POST",
4124 "timeoutSeconds": 20,
4125 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4126 "encryptedPaths": [
4127 "string"
4128 ],
4129 "parameters": [
4130 {
4131 "key": "string",
4132 "value": {}
4133 }
4134 ],
4135 "name": "string",
4136 "description": "string",
4137 "url": "string",
4138 "body": {
4139 "type": {},
4140 "items": {},
4141 "properties": {},
4142 "description": {},
4143 "pattern": {},
4144 "format": {},
4145 "required": {},
4146 "enum": {},
4147 "title": {}
4148 },
4149 "headers": {
4150 "type": {},
4151 "items": {},
4152 "properties": {},
4153 "description": {},
4154 "pattern": {},
4155 "format": {},
4156 "required": {},
4157 "enum": {},
4158 "title": {}
4159 },
4160 "backoffPlan": {
4161 "type": "fixed",
4162 "maxRetries": 0,
4163 "baseDelaySeconds": 1,
4164 "excludedStatusCodes": [
4165 400,
4166 401,
4167 403,
4168 404
4169 ]
4170 },
4171 "variableExtractionPlan": {
4172 "schema": {},
4173 "aliases": {}
4174 },
4175 "rejectionPlan": {
4176 "conditions": "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
4177 }
4178 },
4179 "toolId": "string"
4180 }
4181 ],
4182 "filters": [
4183 {
4184 "type": "oneOf",
4185 "key": "string",
4186 "oneOf": [
4187 "string"
4188 ]
4189 }
4190 ]
4191 }
4192 ],
4193 "tools:append": [
4194 {
4195 "messages": [
4196 {
4197 "contents": [
4198 {
4199 "type": "text",
4200 "text": "string",
4201 "language": "aa"
4202 }
4203 ],
4204 "type": "request-start",
4205 "blocking": false,
4206 "content": "string",
4207 "conditions": [
4208 {
4209 "operator": "eq",
4210 "param": "string",
4211 "value": "string"
4212 }
4213 ]
4214 }
4215 ],
4216 "type": "apiRequest",
4217 "method": "POST",
4218 "timeoutSeconds": 20,
4219 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4220 "encryptedPaths": [
4221 "string"
4222 ],
4223 "parameters": [
4224 {
4225 "key": "string",
4226 "value": {}
4227 }
4228 ],
4229 "name": "string",
4230 "description": "string",
4231 "url": "string",
4232 "body": {
4233 "type": "string",
4234 "items": {},
4235 "properties": {},
4236 "description": "string",
4237 "pattern": "string",
4238 "format": "date-time",
4239 "required": [
4240 "string"
4241 ],
4242 "enum": [
4243 "string"
4244 ],
4245 "title": "string"
4246 },
4247 "headers": {
4248 "type": "string",
4249 "items": {},
4250 "properties": {},
4251 "description": "string",
4252 "pattern": "string",
4253 "format": "date-time",
4254 "required": [
4255 "string"
4256 ],
4257 "enum": [
4258 "string"
4259 ],
4260 "title": "string"
4261 },
4262 "backoffPlan": {
4263 "type": "fixed",
4264 "maxRetries": 0,
4265 "baseDelaySeconds": 1,
4266 "excludedStatusCodes": [
4267 400,
4268 401,
4269 403,
4270 404
4271 ]
4272 },
4273 "variableExtractionPlan": {
4274 "schema": {
4275 "type": "string",
4276 "items": {},
4277 "properties": {},
4278 "description": "string",
4279 "pattern": "string",
4280 "format": "date-time",
4281 "required": [
4282 "string"
4283 ],
4284 "enum": [
4285 "string"
4286 ],
4287 "title": "string"
4288 },
4289 "aliases": [
4290 {
4291 "key": "string",
4292 "value": "string"
4293 }
4294 ]
4295 },
4296 "rejectionPlan": {
4297 "conditions": [
4298 {
4299 "type": "regex",
4300 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
4301 }
4302 ]
4303 }
4304 }
4305 ],
4306 "variableValues": {},
4307 "name": "string",
4308 "voicemailMessage": "string",
4309 "endCallMessage": "string",
4310 "endCallPhrases": [
4311 "string"
4312 ],
4313 "compliancePlan": {
4314 "hipaaEnabled": true,
4315 "pciEnabled": {
4316 "pciEnabled": false
4317 },
4318 "securityFilterPlan": {
4319 "enabled": false,
4320 "filters": [
4321 {}
4322 ],
4323 "mode": "sanitize",
4324 "replacementText": "[FILTERED]"
4325 },
4326 "recordingConsentPlan": {
4327 "type": "stay-on-line",
4328 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
4329 "voice": {
4330 "cachingEnabled": true,
4331 "provider": "azure",
4332 "voiceId": "andrew",
4333 "chunkPlan": {
4334 "enabled": true,
4335 "minCharacters": 30,
4336 "punctuationBoundaries": "。",
4337 "formatPlan": {}
4338 },
4339 "speed": 1.1,
4340 "fallbackPlan": {
4341 "voices": [
4342 {}
4343 ]
4344 }
4345 },
4346 "waitSeconds": 3
4347 }
4348 },
4349 "metadata": {},
4350 "backgroundSpeechDenoisingPlan": {
4351 "smartDenoisingPlan": {
4352 "enabled": true
4353 },
4354 "fourierDenoisingPlan": {
4355 "enabled": false,
4356 "mediaDetectionEnabled": true,
4357 "staticThreshold": -35,
4358 "baselineOffsetDb": -15,
4359 "windowSizeMs": 3000,
4360 "baselinePercentile": 85
4361 }
4362 },
4363 "analysisPlan": {
4364 "summaryPlan": {
4365 "messages": [
4366 {}
4367 ],
4368 "enabled": true,
4369 "timeoutSeconds": 1.1
4370 },
4371 "structuredDataPlan": {
4372 "messages": [
4373 {}
4374 ],
4375 "enabled": true,
4376 "schema": {
4377 "type": "string",
4378 "items": {},
4379 "properties": {},
4380 "description": "string",
4381 "pattern": "string",
4382 "format": "date-time",
4383 "required": [
4384 "string"
4385 ],
4386 "enum": [
4387 "string"
4388 ],
4389 "title": "string"
4390 },
4391 "timeoutSeconds": 1.1
4392 },
4393 "successEvaluationPlan": {
4394 "rubric": "NumericScale",
4395 "messages": [
4396 {}
4397 ],
4398 "enabled": true,
4399 "timeoutSeconds": 1.1
4400 },
4401 "minMessagesThreshold": 1.1,
4402 "structuredDataMultiPlan": [
4403 {
4404 "key": "string",
4405 "plan": {
4406 "messages": [
4407 {}
4408 ],
4409 "enabled": true,
4410 "schema": {
4411 "type": "string",
4412 "items": {},
4413 "properties": {},
4414 "description": "string",
4415 "pattern": "string",
4416 "format": "date-time",
4417 "required": [
4418 "string"
4419 ],
4420 "enum": [
4421 "string"
4422 ],
4423 "title": "string"
4424 },
4425 "timeoutSeconds": 1.1
4426 }
4427 }
4428 ],
4429 "outcomeIds": [
4430 "string"
4431 ]
4432 },
4433 "artifactPlan": {
4434 "recordingEnabled": true,
4435 "recordingFormat": "wav;l16",
4436 "recordingUseCustomStorageEnabled": true,
4437 "videoRecordingEnabled": false,
4438 "fullMessageHistoryEnabled": false,
4439 "pcapEnabled": true,
4440 "pcapS3PathPrefix": "/pcaps",
4441 "pcapUseCustomStorageEnabled": true,
4442 "loggingEnabled": true,
4443 "loggingUseCustomStorageEnabled": true,
4444 "transcriptPlan": {
4445 "enabled": true,
4446 "assistantName": "string",
4447 "userName": "string"
4448 },
4449 "recordingPath": "string",
4450 "structuredOutputIds": [
4451 "string"
4452 ],
4453 "structuredOutputs": [
4454 {
4455 "name": "string",
4456 "schema": {
4457 "type": "string",
4458 "items": {},
4459 "properties": {},
4460 "description": "string",
4461 "pattern": "string",
4462 "format": "date-time",
4463 "required": [
4464 "string"
4465 ],
4466 "enum": [
4467 "string"
4468 ],
4469 "title": "string"
4470 },
4471 "type": "ai",
4472 "regex": "string",
4473 "model": {
4474 "provider": "openai",
4475 "model": "gpt-5.4",
4476 "temperature": 1.1,
4477 "maxTokens": 5030
4478 },
4479 "compliancePlan": {
4480 "forceStoreOnHipaaEnabled": false
4481 },
4482 "description": "string",
4483 "assistantIds": [
4484 "string"
4485 ],
4486 "workflowIds": [
4487 "string"
4488 ]
4489 }
4490 ],
4491 "scorecardIds": [
4492 "string"
4493 ],
4494 "scorecards": [
4495 {
4496 "metrics": [
4497 {
4498 "structuredOutputId": "string",
4499 "conditions": [
4500 {}
4501 ]
4502 }
4503 ],
4504 "name": "string",
4505 "description": "string",
4506 "assistantIds": [
4507 "string"
4508 ]
4509 }
4510 ],
4511 "loggingPath": "string"
4512 },
4513 "startSpeakingPlan": {
4514 "waitSeconds": 0.4,
4515 "smartEndpointingPlan": {
4516 "provider": "vapi"
4517 },
4518 "customEndpointingRules": [
4519 {
4520 "type": "assistant",
4521 "regex": "string",
4522 "regexOptions": [
4523 {
4524 "type": "ignore-case",
4525 "enabled": true
4526 }
4527 ],
4528 "timeoutSeconds": 1.1
4529 }
4530 ],
4531 "transcriptionEndpointingPlan": {
4532 "onPunctuationSeconds": 0.1,
4533 "onNoPunctuationSeconds": 1.5,
4534 "onNumberSeconds": 0.5
4535 },
4536 "smartEndpointingEnabled": false
4537 },
4538 "stopSpeakingPlan": {
4539 "numWords": 0,
4540 "voiceSeconds": 0.2,
4541 "backoffSeconds": 1,
4542 "acknowledgementPhrases": [
4543 "i understand",
4544 "i see",
4545 "i got it",
4546 "i hear you",
4547 "im listening",
4548 "im with you",
4549 "right",
4550 "okay",
4551 "ok",
4552 "sure",
4553 "alright",
4554 "got it",
4555 "understood",
4556 "yeah",
4557 "yes",
4558 "uh-huh",
4559 "mm-hmm",
4560 "gotcha",
4561 "mhmm",
4562 "ah",
4563 "yeah okay",
4564 "yeah sure"
4565 ],
4566 "interruptionPhrases": [
4567 "stop",
4568 "shut",
4569 "up",
4570 "enough",
4571 "quiet",
4572 "silence",
4573 "but",
4574 "dont",
4575 "not",
4576 "no",
4577 "hold",
4578 "wait",
4579 "cut",
4580 "pause",
4581 "nope",
4582 "nah",
4583 "nevermind",
4584 "never",
4585 "bad",
4586 "actually"
4587 ]
4588 },
4589 "monitorPlan": {
4590 "listenEnabled": false,
4591 "listenAuthenticationEnabled": false,
4592 "controlEnabled": false,
4593 "controlAuthenticationEnabled": false,
4594 "monitorIds": [
4595 "123e4567-e89b-12d3-a456-426614174000"
4596 ]
4597 },
4598 "credentialIds": [
4599 "string"
4600 ],
4601 "server": {
4602 "timeoutSeconds": 20,
4603 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4604 "staticIpAddressesEnabled": false,
4605 "encryptedPaths": [
4606 "string"
4607 ],
4608 "url": "string",
4609 "headers": {},
4610 "backoffPlan": {
4611 "type": "fixed",
4612 "maxRetries": 0,
4613 "baseDelaySeconds": 1,
4614 "excludedStatusCodes": [
4615 400,
4616 401,
4617 403,
4618 404
4619 ]
4620 }
4621 },
4622 "keypadInputPlan": {
4623 "enabled": true,
4624 "timeoutSeconds": 1.1,
4625 "delimiters": "#"
4626 }
4627 },
4628 "number": "string",
4629 "sipUri": "string",
4630 "name": "string",
4631 "email": "string",
4632 "externalId": "string"
4633 },
4634 "customerId": "string",
4635 "phoneNumberId": "string",
4636 "phoneNumber": {
4637 "twilioAccountSid": "string",
4638 "twilioPhoneNumber": "string",
4639 "fallbackDestination": {
4640 "message": "string",
4641 "type": "number",
4642 "numberE164CheckEnabled": true,
4643 "number": "string",
4644 "extension": "string",
4645 "callerId": "string",
4646 "transferPlan": {
4647 "mode": "blind-transfer",
4648 "message": "string",
4649 "timeout": 60,
4650 "sipVerb": "refer",
4651 "dialTimeout": 60,
4652 "holdAudioUrl": "string",
4653 "transferCompleteAudioUrl": "string",
4654 "contextEngineeringPlan": {
4655 "type": "lastNMessages",
4656 "maxMessages": 1.1
4657 },
4658 "twiml": "string",
4659 "summaryPlan": {
4660 "messages": [
4661 {}
4662 ],
4663 "enabled": true,
4664 "timeoutSeconds": 1.1
4665 },
4666 "sipHeadersInReferToEnabled": true,
4667 "fallbackPlan": {
4668 "message": "string",
4669 "endCallEnabled": true
4670 }
4671 },
4672 "description": "string"
4673 },
4674 "hooks": [
4675 {
4676 "on": "call.ringing",
4677 "filters": [
4678 {
4679 "type": "startsWith",
4680 "key": "number",
4681 "startsWith": [
4682 "91",
4683 "86",
4684 "7"
4685 ]
4686 }
4687 ],
4688 "do": [
4689 {
4690 "type": "transfer",
4691 "destination": {
4692 "message": "string",
4693 "type": "number",
4694 "numberE164CheckEnabled": true,
4695 "number": "string",
4696 "extension": "string",
4697 "callerId": "string",
4698 "transferPlan": {
4699 "mode": "blind-transfer",
4700 "message": {
4701 "contents": {},
4702 "type": {},
4703 "content": {}
4704 },
4705 "timeout": 60,
4706 "sipVerb": "refer",
4707 "dialTimeout": 60,
4708 "holdAudioUrl": "string",
4709 "transferCompleteAudioUrl": "string",
4710 "contextEngineeringPlan": {
4711 "type": {},
4712 "maxMessages": {}
4713 },
4714 "twiml": "string",
4715 "summaryPlan": {
4716 "messages": {},
4717 "enabled": {},
4718 "timeoutSeconds": {}
4719 },
4720 "sipHeadersInReferToEnabled": true,
4721 "fallbackPlan": {
4722 "message": {},
4723 "endCallEnabled": {}
4724 }
4725 },
4726 "description": "string"
4727 }
4728 }
4729 ]
4730 }
4731 ],
4732 "smsEnabled": true,
4733 "twilioAuthToken": "string",
4734 "twilioApiKey": "string",
4735 "twilioApiSecret": "string",
4736 "name": "string",
4737 "assistantId": "string",
4738 "workflowId": "string",
4739 "squadId": "string",
4740 "server": {
4741 "timeoutSeconds": 20,
4742 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4743 "staticIpAddressesEnabled": false,
4744 "encryptedPaths": [
4745 "string"
4746 ],
4747 "url": "string",
4748 "headers": {},
4749 "backoffPlan": {
4750 "type": "fixed",
4751 "maxRetries": 0,
4752 "baseDelaySeconds": 1,
4753 "excludedStatusCodes": [
4754 400,
4755 401,
4756 403,
4757 404
4758 ]
4759 }
4760 }
4761 },
4762 "artifact": {
4763 "messages": [
4764 {
4765 "role": "string",
4766 "message": "string",
4767 "time": 1.1,
4768 "endTime": 1.1,
4769 "secondsFromStart": 1.1,
4770 "duration": 1.1,
4771 "isFiltered": true,
4772 "detectedThreats": [
4773 "string"
4774 ],
4775 "originalMessage": "string",
4776 "metadata": {},
4777 "speakerLabel": "string"
4778 }
4779 ],
4780 "messagesOpenAIFormatted": [
4781 {
4782 "content": "string",
4783 "role": "assistant"
4784 }
4785 ],
4786 "recording": {
4787 "stereoUrl": "string",
4788 "videoUrl": "string",
4789 "videoRecordingStartDelaySeconds": 1.1,
4790 "mono": {
4791 "combinedUrl": "string",
4792 "assistantUrl": "string",
4793 "customerUrl": "string"
4794 }
4795 },
4796 "transcript": "string",
4797 "pcapUrl": "string",
4798 "logUrl": "string",
4799 "nodes": [
4800 {
4801 "messages": [
4802 {
4803 "role": "string",
4804 "message": "string",
4805 "time": 1.1,
4806 "endTime": 1.1,
4807 "secondsFromStart": 1.1,
4808 "duration": 1.1,
4809 "isFiltered": true,
4810 "detectedThreats": [
4811 "string"
4812 ],
4813 "originalMessage": "string",
4814 "metadata": {},
4815 "speakerLabel": "string"
4816 }
4817 ],
4818 "nodeName": "string",
4819 "variableValues": {}
4820 }
4821 ],
4822 "assistantActivations": [
4823 {
4824 "assistantName": "string",
4825 "assistantId": "string"
4826 }
4827 ],
4828 "variableValues": {},
4829 "performanceMetrics": {
4830 "turnLatencies": [
4831 {
4832 "modelLatency": 1.1,
4833 "voiceLatency": 1.1,
4834 "transcriberLatency": 1.1,
4835 "endpointingLatency": 1.1,
4836 "turnLatency": 1.1
4837 }
4838 ],
4839 "modelLatencyAverage": 1.1,
4840 "voiceLatencyAverage": 1.1,
4841 "transcriberLatencyAverage": 1.1,
4842 "endpointingLatencyAverage": 1.1,
4843 "turnLatencyAverage": 1.1,
4844 "fromTransportLatencyAverage": 1.1,
4845 "toTransportLatencyAverage": 1.1,
4846 "numUserInterrupted": 1.1,
4847 "numAssistantInterrupted": 1.1
4848 },
4849 "structuredOutputs": {},
4850 "scorecards": {},
4851 "transfers": [
4852 "string"
4853 ],
4854 "structuredOutputsLastUpdatedAt": "2024-01-15T09:30:00Z",
4855 "recordingUrl": "string",
4856 "stereoRecordingUrl": "string",
4857 "videoRecordingUrl": "string",
4858 "videoRecordingStartDelaySeconds": 1.1
4859 }
4860}
Was this page helpful?
Previous

List Phone Numbers

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Path parameters

idstringRequired

Request

This endpoint expects an object.
namestringOptional<=40 characters
This is the new name for the session. Maximum length is 40 characters.
statusenumOptional
This is the new status for the session.
Allowed values:
expirationSecondsdoubleOptional60-2592000

Session expiration time in seconds. Defaults to 24 hours (86400 seconds) if not set.

messageslist of objectsOptional
This is the updated array of chat messages.

Response

idstring
This is the unique identifier for the session.
orgIdstring
This is the unique identifier for the organization that owns this session.
createdAtdatetime
This is the ISO 8601 timestamp indicating when the session was created.
updatedAtdatetime
This is the ISO 8601 timestamp indicating when the session was last updated.
costdouble
This is the cost of the session in USD.
costslist of objects
These are the costs of individual components of the session in USD.
namestring<=40 characters

This is a user-defined name for the session. Maximum length is 40 characters.

statusenum
This is the current status of the session. Can be either 'active' or 'completed'.
Allowed values:
expirationSecondsdouble60-2592000

Session expiration time in seconds. Defaults to 24 hours (86400 seconds) if not set.

assistantIdstring
This is the ID of the assistant associated with this session. Use this when referencing an existing assistant.
assistantobject
This is the assistant configuration for this session. Use this when creating a new assistant configuration. If assistantId is provided, this will be ignored.
assistantOverridesobject

These are the overrides for the assistant configuration. Use this to provide variable values and other overrides when using assistantId. Variable substitution will be applied to the assistant’s messages and other text-based fields.

squadIdstring
This is the squad ID associated with this session. Use this when referencing an existing squad.
squadobject
[...]
